Direct CAD™ Interfaces and Translators

Introducing Direct CAD Interfaces

Installation Overview

Supported CAD Systems

Unigraphics Direct CAD Interface

CATIA 4 Direct CAD Interface

CATIA 5 Direct CAD Interface

Pro/ENGINEER Direct CAD Interface

I-DEAS Direct CAD Interface

I-DEAS Version 10 or Higher Direct CAD Interface

ACIS Direct CAD Interface

SolidWorks Direct CAD Interface

AIMS Direct CAD Interface

S etting Advanced Ini / Registry Options

T roubleshooting Direct CAD Interfaces

Introducing Direct CAD Translators

Supported CAD Systems for DCT

Using CATIA 4 Direct CAD Translator for PC-DMIS

Using CATIA 5 Direct CAD Translator for PC-DMIS

Using Pro /ENGINEER Direct CAD Translator for PC-DMIS

Using Unigraphics and Parasolid Direct CAD Translator for PC-DMIS


Introducing Direct CAD Interfaces

Direct CAD Interfaces connect directly to your CAD system from PC-DMIS. This uses the native CAD data from various CAD systems within PC-DMIS.

More:

Wh y Direct CAD Interfaces?

What are Direct CAD Interfaces?

Why are Direct CAD Interfaces Important?


Why Direct CAD Interfaces?

Quickly and accurately measuring your part programs requires the best tools. PC-DMIS™ Version 3.0 gave you better tools than you ever had before. Now, PC-DMIS Version 3.2 or higher offers an even more powerful enhancement unmatched by other geometric measurement packages.

  • Enjoy the flexibility of using PC-DMIS in conjunction with CAD systems (these include Unigraphics, CATIA, Pro/ENGINEER, I-DEAS and ACIS.

  • Avoid the possibility of errors and limitations associated with translation of data from CAD systems into PC-DMIS' internal CAD format.

  • Work with PC-DMIS using CAD data native to various CAD systems.

  • Calculate information inside PC-DMIS using mathematical routines native to other CAD systems.

  • Display, and interact with a CAD system's native geometry, all the while never leaving PC-DMIS.

Wilcox Associates, Inc. (WAI) introduces Direct CAD™ Interfaces.


What are Direct CAD Interfaces?

Earlier attempts at using data from various CAD systems within PC-DMIS required internal CAD data translations that were, at times, prone to errors and data loss.

Directly interfacing with a CAD system, however, does not translate the CAD data. Instead, this unique functionality actually uses the CAD system's native mathematical routines to obtain the requested information. A Direct CAD interface also uses the CAD system's native API to access the CAD database for displaying and interacting with the geometry.


Why are Direct CAD Interfaces Important?

While directly interfacing with a CAD system requires a CAD system's license, it offers numerous benefits. These include:

  • An interface within PC-DMIS linked directly to the CAD.

  • Accurate CAD data, free from translation errors and limitations.

  • Access to GD&T information in the future as CAD systems expose this information with their native APIs.

  • Reduced programming time and improved program quality.

Thanks to Direct CAD Interfaces, you can now easily and accurately use data from various CAD systems directly in PC-DMIS, saving both time and accuracy.


Installation Overview

Installing and Using the Direct CAD Interfaces

The following main topics describe PC-DMIS supported CAD systems and includes installation and access instructions.

  • Supported CAD Systems

  • Unigraphics Direct CAD Interface

  • CATIA 4 Direct CAD Interface

  • CATIA 5 Direct CAD Interface

  • Pro/ENGINEER Direct CAD Interface

  • I-DEAS Direct CAD Interface

  • I-DEAS Version 10 or Higher Direct CAD Interface

  • ACIS Direct CAD Interface

  • SolidWorks Direct CAD Interface

  • AIMS Direct CAD Interface

Note: The procedures in these topics assume you are using the Windows XP operating system. Some minor details may deviate from what's written if you're using a different operating system.


Supported CAD Systems

Wilcox Associates Inc. (WAI) has developed direct interfaces to the following CAD systems for PC-DMIS Versions 3.2 and above:

DCI & DCT Compatibility table

 | PC-DMIS V3.25 including MR1-MR3 | PC-DMIS V3.5 including MR1 | PC-DMIS V3.5 MR2 | PC-DMIS V3.6 | PC-DMIS V3.7 including MR1 | PC-DMIS V3.7 MR2 | PC-DMIS V3.7 MR3 | PC-DMIS V3.7 Beta
Acis DCI | Up to v7.0 | Up to v7.0 | Up to v7.0 | Up to v7.0 | Up to v7.0 | Up to v7.0 | Up to v7.0 | Up to v7.0
Catia 4 DCI | 4.2.* | 4.2.* | 4.2.* | 4.2.* | 4.2.* | 4.2.* | 4.2.* | 4.2.*
Catia 5 DCI | N/A | R8 - R13 | R8 - R13 | R8 - R13 | R8 - R14 | R8 - R14 | R8 - R16 | R8 - R16
I-Deas DCI | 6a - 9 | 6a - 10 | 6a - 10 | 6a - 10 | 6a - 11 | 6a - 11 | 6a - 11 | 6a - 11
Pro/Engineer DCI | 2002i - Wildfire | 2002i - Wildfire | 2002i - Wildfire | 2002i - Wildfire | 2002i - Wildfire | 2002i - Wildfire | 2002i - Wildfire | 2002i - Wildfire
SolidWorks DCI | N/A | 2003 - 2005 | 2003 - 2005 | 2003 - 2005 | 2003 - 2007 | 2003 - 2007 | 2003 - 2007 | 2003 - 2007
Unigraphics DCI | Up to NX 1.0 | Up to NX 1.0 | Up to NX 3.0 | Up to NX 3.0 | Up to NX 4.0 | Up to NX 4.0 | Up to NX 4.0 | Up to NX 4.0
Catia 4 DCT | 3.2 - 4.2.4 | 3.2 - 4.2.4 | 3.2 - 4.2.4 | 3.2 - 4.2.4 | 3.2 - 4.2.4 | 3.2 - 4.2.4 | 3.2 - 4.2.4 | 3.2 - 4.2.4
Catia 5 DCT | N/A | N/A | N/A | R6 - R12 | R6 - R13 | R6 - R14 | R6 - R15 | R6 - R16
Parasolid DCT | R11 - R14 | R11 - R14 | R11 - R14 | R11 - R16 | R11 - R16 | R11 - R16 | R11 - R16 | R11 - R16
Pro/Engineer DCT | R18 - 2001 | R18 - 2001 | R18 - 2001 | R18 - Wildfire 2 | R18 - Wildfire 2 | R18 - Wildfire 2 | R18 - Wildfire 2 | R18 - Wildfire 2
Unigraphics DCT | V15 - V18 | V15 - V18 | V15 - V18 | V15 - NX 2.0 | V13 - NX 2 | V13 - NX 2 | V13 - NX 2 | V13 - NX 2

 | PC-DMIS V4.0 | PC-DMIS V4.0 Beta | PC-DMIS V4.1 | PC-DMIS V4.1 Beta | PC-DMIS V4.2 | PC-DMIS V4.2 Beta
Acis DCI | Up to v7.0 | Up to v7.0 | Up to v7.0 | Up to v7.0 | Up to v7.0 | Up to v7.0
Catia 4 DCI | 4.2.* | 4.2.* | 4.2.* | 4.2.* | 4.2.* | 4.2.*
Catia 5 DCI | R8 - R16 | R8 - R16 | R8 - R16 | R8 - R16 | R8 - R17 | R8 - R17
I-Deas DCI | 8 - 11 | 8 - 11 | 8 - 11 | 8 - 11 | 8 - 11 | 8 - 11
Pro/Engineer DCI | 2002i - Wildfire | 2002i - Wildfire | 2002i - Wildfire | 2002i - Wildfire | 2002i - Wildfire | 2002i - Wildfire
SolidWorks DCI | 2003 - 2007 | 2003 - 2007 | 2003 - 2007 | 2003 - 2007 | 2003 - 2007 | 2003 - 2007
Unigraphics DCI | Up to NX 4.0 | Up to NX 4.0 | Up to NX 4.0 | Up to NX 4.0 | Up to NX 4.0 | Up to NX 4.0
AIMS DCI |  |  |  |  |  |
Catia 4 DCT | 3.2 - 4.2.4 | 3.2 - 4.2.4 | 3.2 - 4.2.4 | 3.2 - 4.2.4 | 3.2 - 4.2.4 | 3.2 - 4.2.4
Catia 5 DCT | R6 - R15 | R6 - R16 | R6 - R16 | R6 - R16 | R6 - R17 | R6 - R17
Parasolid DCT | R11 - R16 | R11 - R16 | R11 - R16 | R11 - R17 | R11 - R17 | R11 - R17
Pro/Engineer DCT | R18 - Wildfire 2 | R18 - Wildfire 2 | R18 - Wildfire 3 | R18 - Wildfire 3 | R18 - Wildfire 3 | R18 - Wildfire 3
Unigraphics DCT | V13 - NX 2 | V13 - NX 2 | V13 - NX 3 | V13 - NX 4 | V13 - NX 4 | V13 - NX 4

Additional Compatibility Notes:

  • Unigraphics DCT - Compressed files and assemblies are supported.

  • Pro/Engineer DCT Assemblies are supported.

  • Catia 5 DCT Assemblies are supported.

Follow the appropriate installation instructions listed in "Installation Overview" to set up your CAD system to directly interface with PC-DMIS for Windows.

* The minimum CATIA 4.0 licenses required in order for the PC-DMIS CATIA 4.0 DCI to function properly with a model are the same that would allow the model to be opened, modified and saved in CATIA. Any lesser licenses will not be sufficient.

The minimum licenses cannot be specifically defined because the ability to open, modify and save a CATIA model will be somewhat dependent on the content of the model itself.

More:

Minimum License Requirements


Minimum License Requirements

The licenses needed to directly interface PC-DMIS with your CAD system are included in this table:

Supported CAD System | Required PC-DMIS Version | License Requirements
Unigraphics | PC-DMIS 3.2 and later | Gateway and UFUN_EXEC
CATIA 4.0 | PC-DMIS 3.2 and later | Any CATIA license that allows you to open, modify and save a model inside CATIA. This minimum license cannot be defined here because the license needed depends somewhat on the content of model itself.[more]
CATIA 5 | PC-DMIS 3.5 MR2 and later | CATIA 5 installed on the same computer that runs PC-DMIS.
Pro/ENGINEER | PC-DMIS 3.2 and later | Basic license of Pro/ENGINEER installed on the same computer as PC-DMIS. Additionally, your login account needs to be a member of the Power Users profile in order to use Pro/ENGINEER.
I-DEAS | PC-DMIS 3.2 and later | One free license of I-DEAS master modeler and I-DEAS master assembler
ACIS | PC-DMIS 3.2 and later | Not applicable
SolidWorks | PC-DMIS 3.2 and later | SolidWorks license.
AIMS | PC-DMIS 4.1 and later | AIMS must be licensed on the same computer that runs PC-DMIS.


Unigraphics Direct CAD Interface

Follow the procedures in this section to install PC-DMIS and configure your system to use the Unigraphics Direct CAD Interface.

  • Make sure you have full administrator rights before proceeding.

  • If you haven't already done so, install Unigraphics V15 or higher on the same computer that will run PC-DMIS. You may use either a floating (network) license or locked license to run the Unigraphics DCI. However, you must be able to run Unigraphics on the local machine in order for PC-DMIS to be able to interface with Unigraphics You must have, at minimum, the Unigraphics gateway and ufunc_execute options; if not, you can purchase them from Unigraphics (see http://www.unigraphics.com).

More:

Step 1: Installing PC-DMIS

Step 2: Test the Unigraphics Direct CAD Interface


Step 1: Installing PC-DMIS

First, you need to install PC-DMIS. To install PC-DMIS, follow this procedure:

  1. Plug your PC-DMIS portlock (also known as a dongle) into the printer port of your PC.

  2. Insert the PC-DMIS CD-ROM into your CD-ROM drive.

  3. Using Windows Explorer, open the directory containing the CD-ROM and then navigate to the setup.exe application for PC-DMIS.

  4. Double click (execute) the file setup.exe.

  5. This will activate the PC-DMIS installation sequence.

  6. Follow the on-screen instructions until PC-DMIS is installed.

This completes the PC-DMIS installation.


Step 2: Test the Unigraphics Direct CAD Interface

Once PC-DMIS is installed, you need to import a Unigraphics part file and test the Direct CAD Interface.

Complete the following steps to test Unigraphics DCI:

  • Launch PC-DMIS

  • Create a New Part Program

  • Modify the Assembly Load Method

  • Import a Unigraphics Part File


Launch PC-DMIS

  1. From the Start menu, select Programs | PC-DMIS for Windows | Online. PC-DMIS launches. You may also test this by running PC-DMIS in Offline mode following the same steps below.

  2. If the Open File dialog box appears, cancel it.


Create a New Part Program

  1. Select File | New to create a new part program. The New Part Program dialog box appears.

  2. Type a name for the part program in the Part Name box and fill in the other boxes if desired.

  3. Select the units of measurement from the Measurement Units area. This should match the units used in the CAD file you will import.

  4. Click OK. This dialog box closes and the Probe Utilities dialog box opens.

  5. Click Cancel on the Probe Utilities dialog box to close it.

  6. Click OK.

Calibrate the probe if you wish. If you choose not to calibrate the probe PC-DMIS may display a message stating that the probe has not been calibrated. Simply click OK to continue.


Modify the Assembly Load Method

Before importing your Unigraphics file you will need to select the Assembly Load Method. This method will be used when searching for assembly component file when loading an assembly. To select a method:

  1. Select Edit | Graphics Display Window | DCI | Unigraphics to open the Unigraphics DCI Load Options dialog box.

Unigraphics DCI Load Options dialog box

  2. Select one of the following options:

  • Load from Directory - Unigraphics looks for the assembly component files in the same directory containing the assembly.

  • Load from Search Directories - Unigraphics looks for a load_options.def file. This file contains a list of ordered directories from which Unigraphics will search to find the assembly component files.

  • Load as Saved - Unigraphics used the full path, as saved in the assembly, to load the component files.

  3. Clicking Restore Default will set the method to the default value from the registry as set from the UGLoadOption of the Option section of the Settings Editor application. See the "UGLoadOption" topic.

  4. Click OK to set the selected Assembly Load Method and close the dialog box or click Cancel to close the dialog box without applying any changes.


Import a Unigraphics Part File

  1. Select the Display Menu Roadmap File | Direct CAD Interfaces ® | Unigraphics menu option. An Open dialog box appears.

  2. Select Unigraphics DCI Files from the Files of Type list.

  3. Navigate to the directory containing the UG file to import.

  4. Select the UG part (with a .prt extension).

  5. Click Import. This dialog box closes.

  6. The Layers to Import dialog is displayed. This dialog shows the layers that contain CAD data along with any category name for the layers

Layers to Import dialog box

  7. Select the needed layers and click Selected Layers to import only the CAD data in those layers. Click All Layers to import the CAD data from all layers.

  8. PC-DMIS imports the selected file.

  9. Use PC-DMIS as usual.


CATIA 4 Direct CAD Interface

To import a CATIA file that functions in PC-DMIS, follow these procedures:

  • If installing to a Windows NT, 2000 or XP computer, make sure you have full administrator rights before proceeding.

  • If you haven't already done so, install CATIA V4.2.x on a UNIX workstation (IBM, SGI, HP, or SUN Solaris).

More:

Step 1: Installing the Pcdcat Interface File on the CATIA System

Step 2: Installing the Pcdmis.dat File on the CATIA system

Step 3: Declaring Your Files

Step 4: Installing PC-DMIS

Step 5: Networking your PC System to the UNIX System

Step 6: Testing the CATIA Direct CAD Interface


Step 1: Installing the Pcdcat Interface File on the CATIA System

  1. Determine on which UNIX operating system the CATIA system is currently running. Supported operating systems are:

q IBM's AIX

q SGI's IRIS

q HP's HP-UX

q SUN's SOLARIS

  2. Create a directory called "pcdmis" under a CATIA user directory for installing PC-DMIS files.
    Example:     /home/catadm/pcdmis

  3. Place the appropriate PC-DMIS/CATIA interface file in the Pcdmis directory of your UNIX workstation. This interface file will be one of the following files, depending on your type of UNIX workstation:

q pcdcat.ibm.gz

q pcdcat.sgi.gz

q pcdcat.hp.gz

q pcdcat.sun.gz

  4. You can also download the latest PC-DMIS/CATIA interface file from ftp://wilcoxassoc.com/dci/catia/.

  5. On the UNIX station, unzip the pcdcat file with the gunzip command: gunzip <filename>

  6. Once the file is in the Pcdmis directory on your UNIX workstation and unzipped, rename the file to simply “pcdcat” (without any file name extension).


Step 2: Installing the Pcdmis.dat File on the CATIA system

Pcdmis.dat is a simple data text file containing network information that allows CATIA to communicate with the Windows 95, Windows 98, Windows NT, Windows 2000, or Windows XP operating systems.

  1. Place Pcdmis.dat into the Pcdmis directory on your UNIX workstation. You can also download this file from ftp://wilcoxassoc.com/dci/catia/

  2. Edit Pcdmis.dat so that it contains the necessary port and IP address information of your UNIX workstation as shown in "Example of the Pcdmis.dat File on a UNIX Workstation". If desired, you can also edit this file with these two additional options:

Option

Description

DEBUG

Turns on the generation of a debug file. This file is a communications log of the Windows system with the UNIX system. It also contains the processing occurring on the UNIX system.

Note: Use care with this option as it can generate a very large file that could tax your system's resources.

EXIT

Exits PCDCAT (interface file) each time you exit PC-DMIS.

If this isn't used, PCDCAT never exits but continues to run, waiting for PC-DMIS to communicate with it.

PORT2

If EXIT is not set, then PORT2 should be set to an open TCP/IP port. PCDCAT will then spawn off a separate process whenever PC-DMIS connects to it. This allows PC-DMIS to be always on, waiting for a connection from PC-DMIS, but only using CATIA licenses when PC-DMIS is connected to it.

More:

Example of the Pcdmis.dat File on a UNIX Workstation


Example of the Pcdmis.dat File on a UNIX Workstation

$ PC-DMIS/CATIA Interface

IP=205.158.132.244;
(Note: IP address of the UNIX workstation)

PORT=5555;
(Note: use same port for both UNIX and Windows)

PORT2=5556;
(Note: this port is just used on the UNIX side for inter-process communication. This is optional)

DEBUG;
(This is optional)

EXIT;
(This is optional)


Step 3: Declaring Your Files

For the CATIA Direct CAD Interface to access a path, that path needs to be defined in a CATIA declaration file There are two files where this can be done. On most systems they are:

"/home/catadm/USRENV.dcls"

"/home/catadm/dec/CATIA.dcls".

Using a standard text editor, modify the CATIA declaration file, Catia.dcls, to define the model directory and/or alias (See "Example of Catia.dcls File on UNIX Workstation").

Note: Normally, you'll only need to edit Catia.dcls, but some situations may require that you edit both files.

More:

Example of Catia.dcls File on UNIX Workstation


Example of Catia.dcls File on UNIX Workstation

/* ----------------------------------------------------------- */

/* MODEL declarations */

/* ----------------------------------------------------------- */

catia.MODEL = '"$HOME/db","PCDMIS"';

catia.MODEL = '"/home/catadm/pcdmis","PCDMIS2"';

catia.MODEL = '"/home/catadm","PCDMIS5"';

The first part of the path…

'"$HOME/db"

'"/home/cadadm/pcdmis/"

'"/home/cadadm/"

…is the path to the CATIA models.

The second part of the path…

"PCDMIS"';

"PCDMIS2"';

"PCDMIS5"';

…is the alias.

You can modify a path without its alias as shown here:

catia.MODEL = '$HOME/db' ;

catia.MODEL = '/home/catadm/db' ;


Step 4: Installing PC-DMIS

Next, you need to install PC-DMIS. To install PC-DMIS follow this procedure:

  1. Plug your PC-DMIS portlock (also known as a dongle) into the printer port of your PC.

  2. Insert the PC-DMIS CD-ROM into your CD-ROM drive.

  3. Using Windows Explorer, open the directory containing the CD-ROM and then navigate to the setup.exe application for PC-DMIS.

  4. Double click (execute) the file setup.exe.

  5. This will activate the PC-DMIS installation sequence.

  6. Follow the on-screen instructions until PC-DMIS is installed.

This completes the PC-DMIS installation.


Step 5: Networking your PC System to the UNIX System

In order for the Direct CAD Interface to function, the computer with PC-DMIS needs to communicate with the CATIA system over a TCP/IP network, capable of handling File Transfer Protocol (FTP) commands.

More:

Set up Your Network on the PC

Modify the Registry

Example of the Registry Modified with CATIA Information:


Set up Your Network on the PC

  1. From the Start menu select Settings | Control Panel. The Control Panel appears.

  2. Double-click on the Network icon.

  3. Select the Protocols tab.

  4. Check the Network Protocols list, make sure the TCP/IP network protocol is installed. If not, click the Add button and follow the on-screen instructions.

  5. Select TCP/IP Protocol from the Network Protocols list.

  6. Click the Properties button. The Microsoft TCP/IP Properties dialog box appears.

  7. Select the Specify an IP Address option.

  8. Type a valid IP address in the IP Address box for your NT system.


Modify the Registry

  1. Open the Settings Editor.

  2. Click on the plus sign (+) next to the CATIA section. The list expands.

  3. Modify the CatiaPort, CatiaAddress, and CatiaDirectory entries so that they contain the IP address of the CATIA UNIX workstation, a valid port number, and the directory location of the CATIA files to import. See "Example of the Registry Modified with CATIA Information:".

  4. Save and close the Settings Editor when you are finished modifying it.


Example of the Registry Modified with CATIA Information

[OPTION]

CatiaPort=5555
(Note: Use the same port for both the UNIX system and the Windows system)

CatiaAddress=205.158.132.244
(Note: Use the IP address of the UNIX workstation)

CatiaDirectory=PCDMIS
(Note: This is the default location of model files on the CATIA system)


Step 6: Testing the CATIA Direct CAD Interface

The final step is to run PC-DMIS and import a CATIA file. Before following the procedures listed here, run Pcdcat on the UNIX workstation.

Complete the following steps to test the CATIA DCI:

  • Launch PC-DMIS

  • Create a New Part Program

  • Import a CATIA CAD File


Import a CATIA CAD File

  1. Select the Display Menu Roadmap File | Direct CAD Interfaces ® | CATIA menu option. An Open dialog box appears.

  2. Select CATIA Files DCI from the Files of type list.

  3. Navigate to the directory containing your CATIA part files.

  4. Select a CATIA part file.

  5. Click the Import button. The Catia Get Model dialog box opens.

  6. Type in the appropriate directory or alias information if needed.

  7. Click the Get Model Names button. A list of the CATIA models appears.

  8. Select the CATIA model name or names (up to 20) from the list.

  9. Click the OK button. PC-DMIS imports the file.

  10. Use PC-DMIS as usual.

Connection Failure: If PC-DMIS can't connect to the Catia workstation, it will display a message informing you and it will also ask if you want to change your TCP/IP settings. Clicking Yes will open up the Edit TCP/IP Properties dialog box, allowing you to modify your TCP/IP and port settings.

Note: If you want to be able to use the DCI without connecting to the CAD system, you can easily specify this by modifying the CatiaLoad registry entry.

To do this,

  1. Open the Settings Editor.

  2. Click on the plus sign (+) next to the Catia section. The list expands.

  3. Modify the CatiaLoad entry by setting it to FALSE

  4. Save and close the Settings Editor when you are finished modifying it.

PC-DMIS won't even attempt to connect to the CAD system, but will instead give you the option of loading a saved .CAD view.

Additionally, in PC-DMIS 3.5 MR2 and higher a Translate Model check box exists on the CATIA Get Model dialog box. This check box translates the CATIA model into PC-DMIS's native format. The CATIA server is not needed if you use this check box.


CATIA 5 Direct CAD Interface

To import a CATIA 5 file that functions in PC-DMIS 4.2, follow these procedures:

  • If installing to a Windows NT, Windows 2000, or Windows XP computer, make sure you have full administrator rights before proceeding.

  • If you haven't already done so, install CATIA 5 on the same computer that PC-DMIS is installed on. Currently CATIA 5 release 8 and release 10 and above are supported.

  • The minimum CATIA 5 license that is required to use the DCI is MD1 configuration.

  • Before using the CATIA 5 DCI, you must run CATIA 5 at least once to select a license configuration. Once the license configuration is selected, you don’t need to run CATIA 5 again.

More:

Step 1: Installing PC-DMIS

Step 2: Specify Optional Environment File

Step 3: Testing the CATIA Direct CAD Interface

Importing User-Defined Objects


Step 2: Specify Optional Environment File

If you want PC-DMIS to use a specific installation of CATIA 5 installed on your system, you will need to complete the following optional steps. If you don’t do these steps, then the default installation of CATIA 5 will be used. This is usually the latest CATIA 5 release installed on your system. In most cases, the default installation of CATIA 5 is sufficient.

To specify a non-default CATIA 5 installation that PC-DMIS uses, you will need to specify the environment file in the PC-DMIS Settings Editor program. The environment file contains settings needed for CATIA 5 to run properly. The default environment file is usually located at “c:\Documents and Settings\{username}\Application Data\DassaultSystemes\CATEnv\DefaultEnvironment.txt”. (Here {username} should be replaced by the username of the currently logged in user.) A complete list of all the environment files is usually located at “c:\Documents and Settings\All Users\Application Data\DassaultSystemes\CATEnv”. To specify which environment file to use, follow these steps:

  1. From the Start menu, select Programs | PC-DMIS for Windows | Settings Editor.

  2. In the Settings Editor program, browse to the CATIA 5 section and select the EnvPath entry.

  3. For the Current Value, enter the full path to the environment file. For example, if you wanted to specify the file CATIA.V5R12.B12.txt located in the c:\Files directory, you would enter “c:\Files\ CATIA.V5R12.B12.txt”.

  4. Save your changes and close the PC-DMIS Settings Editor.


Step 3: Testing the CATIA 5 Direct CAD Interface

The final step is to run PC-DMIS and import a CATIA 5 file.

Complete the following steps to test the CATIA 5 DCI:

  • Launch PC-DMIS

  • Create a New Part Program

  • Connect to a CATIA 5 File


Connect to a CATIA 5 File

  1. Select the File | Direct CAD Interfaces ® | CATIA 5 menu option. The Open dialog box appears.

  2. Browse through your hard drive, and select a CATPart or CATProduct file.

  3. Click the OK button. PC-DMIS connects to the file.

  4. Use PC-DMIS as usual.


Importing User-Defined Objects

DaimlerChrysler has the ability to embed User Defined Objects (UDOs) in their CATIA 5 files using an internal tool called ETools. These UDOs define measurement features for the part. PC-DMIS allows you to access UDOs through the CATIA 5 DCI.

To access embedded UDOs:

  1. Select File | Direct CAD Interface | CATIA 5.

  2. Browse and select the CATIA 5 part or assembly file, containing the embedded UDOs.

  3. Click Import.

  4. Select File | Import | Inspection Plan. If ETool produced UDOs are defined in the part, the Select IP name dialog box appears.

Select IP name dialog box

  5. Select one or more Inspection Plans from the list (hold the Ctrl key while selecting to select more than one Inspection Plan).

  6. Click OK to import the selected plan(s), or cancel to browse for a different Inspection Plan that is not embedded in the CATIA 5 file.

  7. PC-DMIS creates an IP file that it imports into PC-DMIS. Measured features are added to the part program.

Note: If any changes are made to the CATIA 5 file, you will be notified so the UDOs can be reimported.


Pro/ENGINEER Direct CAD Interface

Follow the procedures in this section to install PC-DMIS and configure your system to use the Pro/ENGINEER Direct CAD Interface.

  • If you haven't already done so, install Pro/ENGINEER Revision 2000i2 or higher. You must install it on a system running Windows 98, NT, 2000, or XP. Pro/ENGINEER is not supported on Windows 95.

Note: PC-DMIS version 4.0 works with Pro/ ENGINEER 2000i2 and higher

  • If installing to a Windows NT, 2000, or XP computer, make sure you have full administrator rights before proceeding.

  • You must install Pro/ENGINEER on the same computer system as PC-DMIS. You may use either a floating (network) license or locked license to run Pro/ENGINEER, however, the Pro/ENGINEER process must be running on the local machine in order to interface with PC-DMIS. If you do not have a license available, you may purchase one from PTC (see http://www.ptc.com).

  • For Pro/ENGINEER to run properly, you may need to modify certain paths or executable names to fit your system (depending on the version that you have and the location of needed files). The steps below show how to do this for a Windows XP system running Pro/ENGINEER 2000i2 and PC-DMIS.

  • IMPORTANT! You should ensure that all the latest patches have been downloaded and installed for your version of Pro/ENGINEER. These patches can be found at www.ptc.com.

More:

Step 1: Creating the PRO_COMM_MSG_EXE Environment Variable

Step 2: Installing PC-DMIS

Step 3: Editing the Registry with Pro/ENGINEER Information

Step 4: Testing the Pro/ENGINEER Direct CAD Interface


Step 1: Creating the PRO_COMM_MSG_EXE Environment Variable

First you need to determine the location of the Pro/ENGINEER executable file Pro_comm_msg.exe and add its directory path to a new environment variable.

More:

Determine the Pro_comm_msg.exe Directory Path

Create a Variable and Assign a Pathway


Determine the Pro_comm_msg.exe Directory Path

  1. From the Start menu, select Search | For Files or Folders. The Search Results window appears.

  2. Type PRO_COMM_MSG.EXE into the All or Part of the Filename box.

  3. Select Local Hard Drives from the Look In list.

  4. Click Search. Your computer will search for this file. If Pro/ENGINEER has been installed on your local machine, the search results should display the directory pathway to the file. This will be something like this:

C:\ProgramFiles\Proe2000i2\i486_nt\obj\ pro_comm_msg.exe

Note: If the search for the Pro_comm_msg.exe file displays more than one location, study the directory paths of each location, and choose the path that best represents the version, date, or location of Pro/ENGINEER to which you want to directly interface.

  5. Make a note of this directory pathway or leave the Search Results window open so you can use it for future reference.


Create a Variable and Assign a Pathway

  1. From the Start menu, select Settings | Control Panel. The Control Panel appears.

  2. Double-click the System icon. The System Properties dialog box appears.

  3. Select the Advanced tab and then click the Environment Variables button. The Environment Variables dialog box appears.

  4. In the System Variables area, click the New button. The New System Variable dialog box appears.

  5. Type PRO_COMM_MSG_EXE into the Variable name box.

  6. Type the directory pathway to Pro_comm_msg.exe in the Variable Value box (you can type the pathway from the Search Results window). It should looks something like this:

C:\ProgramFiles\Proe2000i2\i486_nt\obj\ pro_comm_msg.exe

  7. Click the OK button to assign this value to the newly created variable.

  8. Continue clicking OK until you close the System Properties dialog box.


Step 2: Installing PC-DMIS

If you haven't installed PC-DMIS on the system running Pro/ENGINEER, follow the procedure here to install PC-DMIS version 3.2 or higher. If you've already installed PC-DMIS, skip this step and go to "Step 3: Editing the Registry with Pro/ENGINEER Information".

  1. Plug your PC-DMIS portlock (also known as a dongle) into the printer port of your PC.

  2. Insert the PC-DMIS CD-ROM into your CD-ROM drive.

  3. Using Windows Explorer, open the directory containing the CD-ROM and then navigate to the setup.exe application for PC-DMIS.

  4. Double click (execute) the file setup.exe.

  5. This will activate the PC-DMIS installation sequence.

  6. Follow the on-screen instructions until PC-DMIS is installed.

This completes the PC-DMIS installation.


Step 3: Editing the Registry with Pro/ENGINEER Information

In this step you will modify the ProEngineer section of the registry file so that it contains an executable name entry.

Note: If you cannot find the ProEngineer section inside the Settings Editor, you may need to call Customer Support to verify that this option is turned on in your portlock (or dongle). If you're calling within the United States, the number is (800) 343-7933. If you're calling outside the United States the number is (1) (800) 343-7933.

  1. Access PC-DMIS's Settings Editor from the PC-DMIS programs group. Select Start | Program Files | PC-DMIS for Windows and then click on the Settings Editor icon.

  2. Click the plus sign (+) next to the ProEngineer section. The list expands, showing the options associated with this section.

  3. Click on the ProEngineerExecutableName entry.

  4. Change the values of this entry setting it equal to the executable name used to launch Pro/ENGINEER. Normally this would be something like PROE20 or Proe2000i2 depending on how Pro/ENGINEER was setup to run on your computer. Typically, the ProEngineerExecutableName entry is set to the name that is required to run Pro/ENGINEER from a Command Prompt window.

Note: If you cannot get the interface to work properly, you might try entering the entire file path of your Pro/ENGINEER executable (i.e. C:\ ProgramFiles\Proe2000i2 . . . \Proe2000i2.bat).

The modified entry in the ProEngineer section would look like this:

ProEngineerExecutableName=PROE20

or

ProEngineerExecutableName=Proe2000i2

  5. Click Save Setting, and then click OK to close the Settings Editor.


Step 4: Testing the Pro/ENGINEER Direct CAD Interface

The final step is to run PC-DMIS and import a Pro/E file.

Note: Some security software, anti-virus and firewall programs, can interfere with the performance of the ProEngineer DCI, or even keep it from working at all. To test, try disabling the security software temporarily.

Note: Custom ProEngineer configuration files can also have an adverse affect on the performance of the ProEngineer DCI, particularly the config.* files contained in the “text” directory of the ProEngineer installation. To test, try renaming these config.* files temporarily.

Complete these steps to test the ProE DCI:

  • Launch PC-DMIS

  • Create a New Part Program

  • Import a Pro/ENGINEER Part File


Import a Pro/ENGINEER Part File

  1. Select the File | Direct CAD Interfaces ® | Pro/ENGINEER menu option. The Open dialog box appears.

  2. Select Pro E Files from the List Files of Type list on the right side of the dialog box.

  3. Navigate to the directory containing your Pro/ENGINEER part files.

  4. Select the Pro/ENGINEER part file (with a .prt or .asm extension).

  5. Click OK. PC-DMIS imports the selected file.

  6. Use PC-DMIS as you would with an IGES file.

Note: If you want to be able to use the DCI without connecting to the CAD system, you can easily specify this by modifying the ProEngineerLoad registry entry.

To do this,

  1. Open the Settings Editor.

  2. Click on the plus sign (+) next to the PROENGINEER section. The list expands.

  3. Modify the ProEngineerLoad entry by setting it to FALSE

  4. Save and close the Settings Editor when you are finished modifying it.

PC-DMIS won't even attempt to connect to the CAD system, but will instead give you the option of loading a saved .CAD view.


I-DEAS Direct CAD Interface

  • If installing to a Windows NT, 2000, or XP computer, make sure you have full administrator rights before proceeding.

  • If you haven't already done so, install I-DEAS master series 6a or later on the same computer that will run PC-DMIS, or any PC or UNIX computer that can be accessed over a network as a remote host. Have at least one free license of I-DEAS on the computer that I-DEAS will be accessed from.

More:

Step 1: Installing PC-DMIS

Step 2: Testing the I-DEAS Direct CAD Interface

Using the I-DEAS Item Selection Dialog Box

Using the I-DEAS Server Connection Dialog Box

Using the I-DEAS FTP Setup Dialog Box

Using the I-DEAS Coordinate System Selection dialog box


Step 2: Testing the I-DEAS Direct CAD Interface

The final step is to run PC-DMIS and import an I-DEAS file.

Complete these steps to test the I-DEAS DCI:

  • Launch PC-DMIS

  • Create a New Part Program

  • Import a Pro/ENGINEER Part File


Import an I-DEAS CAD File

  1. Select the Display Menu Roadmap File | Direct CAD | I-DEAS menu option in PC-DMIS version 4.0, or select the File | Direct CAD Interfaces ® | I-DEAS menu option in PC-DMIS version 4.1. The I-DEAS Item Selection dialog box will appear.

    I-DEAS Item Selection     dialog box

    This dialog box allows you to select items from an I-DEAS model file. PC-DMIS must be connected to an I-DEAS server for this dialog box to be active. For more information see "Using the I-DEAS Coordinate System Selection dialog box".

  2. Click the Connect To Server button. The I-DEAS Server Connection dialog box will appear. This dialog box will connect PC-DMIS to an I-DEAS server. For more information on this dialog box, see "Using the I-DEAS Server Connection Dialog Box".

  3. Once connected to an I-DEAS server, select items to be imported from the I-DEAS Item Selection dialog box. See "Using the I-DEAS Item Selection Dialog Box" for more information.

  4. Click the Import Selected Items button.

  5. Use PC-DMIS as usual.


Using the I-DEAS Item Selection Dialog Box

I-DEAS Item Selection dialog box

The I-DEAS Item Selection dialog box allows selection of items from an I-DEAS model file or library. PC-DMIS must be connected to an I-DEAS server for this dialog box to be active. Click the Import Selected Items button to import selected items into the part program.

More:

Connect To Server

FTP Setup

Projects / Containers

Parts in selected container file

Assemblies in selected container file


Connect To Server

Click the Connect to Server button to open the I-DEAS Server Connection dialog box. See "Using the I-DEAS Server Connection Dialog Box" for information on connecting to an I-DEAS server.


FTP Setup

Click the FTP Setup button to open the I-DEAS FTP Setup dialog box. See the "Using the I-DEAS FTP Setup Dialog Box" topic for more information.


Projects / Containers

The Projects / Containers list shows the projects available in the I-DEAS data installation. Select a project to display the model files and libraries contained in the project. Once the model files and libraries are displayed for a project, you can select a model file or library to display a list of parts and assemblies.


Parts in selected container file

The Parts in selected container file area shows the list of available parts in the selected model file or library. Multiple parts can be selected for import. Click the Select All Parts button to switch between selecting and deselecting all the parts.


Assemblies in selected container file

The Assemblies in selected container file area shows the list of available assemblies in the selected model file or library. You can select multiple parts and up to one assembly for import into the same part program.


Using the I-DEAS Server Connection Dialog Box

I-DEAS Server Connection dialog box

This I-DEAS Server Connection dialog box will connect PC-DMIS to an I-DEAS server. Click the Connect button to link the systems using the current options displayed in the dialog box. If an I-DEAS server is already connected, you can click the Disconnect button to disconnect from it. You can then modify the options and connect to a different server. If unexpected problems occur, a message explaining the problem will be displayed in the Error messages area.

More:

Host

I-DEAS Version

Orbix Port

Use IIOP Orbix Communications

To Determine the Orbix Communication Protocol

Orbix Server


Host

The Host box displays the computer on the network where the I-DEAS program will run. PC-DMIS will connect to this I-DEAS program.

The default for the host is the local computer's name. If the host has not been previously specified, PC-DMIS will display the default name in the Host box. You can access the default host name by deleting the current host name and pressing the TAB key, moving the cursor out of the box. PC-DMIS will then automatically fill in the Host box with the local computer’s host name.

Note: When connecting to a remote I-DEAS server, the remote computer’s network name must be visible from the computer running PC-DMIS. Conversely, this same computer must be visible from the computer with the I-DEAS server. You can check if a computer is visible by pinging it using the network name, not an IP address. When you ping a computer, and the network name does not resolve to an IP address, you will need to add the network name and IP address to the host’s network name look-up file.


I-DEAS Version

The I-DEAS Version list allows you to select the version of I-DEAS on the host.


Orbix Port

The Orbix Port box allows you to type the TCP/IP port used for communicating with the server. I-DEAS uses a software product called Orbix™ as an information broker between applications over a network. PC-DMIS uses Orbix to send and receive information from the I-DEAS server. By default, I-DEAS uses TCP/IP port 1570 for Orbix communications across a network. If I-DEAS does not use the default port, then you need to specify the port using this option.

To determine what port I-DEAS uses for Orbix communications, follow this procedure:

  1. Start a session of I-DEAS on the computer where you want to determine the Orbix port.

  2. From the I-DEAS Prompt window, open a command window by doing one of the following:

  • On Unix systems, type oaxx execute xterm then press ENTER.

  • On PC systems, type oaxx execute cmd.exe then press ENTER.

Opening a command window on a PC from the I-DEAS Prompt window

This will open a terminal window or DOS window into which you can type commands.

  3. From the command window, type the following command:

orbixd -v

You should see output similar to the following:

Orbix daemon v3.0.1PATCH-11

s1474-3.0.1PATCH-11: Orbix Version v3.0.1PATCH-11 for Microsoft Visual C++ on AIX 4.3.2

Implementation Repository Path …

Daemon Port :1570

Daemon Port Base :1570

Daemon Port Range :50

The 1570 value listed to the right of “Daemon Port” is the Orbix port you should use. This value should match the value in the Orbix Port box.

If you get an error message when you type the orbixd –v command, then the Orbix version is less than version 3.0 and does not support the –v command line switch. You will need to enter the following command to determine the Orbix port:

lsit –h yahoo.com

You should get some error messages similar to the following:

[341: Retrying connection to host `yahoo.com' port 1570]

The port displayed in the error message is the Orbix port that should be used.


Use IIOP Orbix Communications

Depending on the version of Orbix installed on the I-DEAS server computer, the network communication will use one of two different communication protocols.

  • For Orbix 3.0 and above, the network communications use the CORBA Internet Inter-ORB Protocol (IIOP).

  • For versions of Orbix older than 3.0, the network communications use the non-standard Orbix communications protocol.

By default, I-DEAS 8 is installed with Orbix version 3.0. So, when connecting to I-DEAS 8 or higher, you should use the IIOP protocol. However, if you know that the version of Orbix is older than version 3.0, you should not use the IIOP protocol.

Note: I-DEAS 8 on an SGI or IBM computer typically uses Orbix 2.2 for network communications. Therefore, if you are connecting to I-DEAS 8 on an SGI or IBM computer, you will need to deselect the Use IIOP Orbix Communications check box.


To Determine the Orbix Communication Protocol

You can determine the Orbix communication protocol on the host by doing the following:

  1. Start I-DEAS on the computer where you want to determine the Orbix communication protocol.

  2. From the I-DEAS Prompt window, open a command window.

  • On Unix systems, type oaxx execute xterm then press ENTER.

  • On PC systems, type oaxx execute cmd.exe then press ENTER.

Opening a command window on a PC from the I-DEAS Prompt window

This will open a terminal window or DOS window into which you can type commands.

  3. From the command window, type the following command:

orbixd -v

You should see output similar to the following:

Orbix daemon v3.0.1PATCH-11

s1474-3.0.1PATCH-11: Orbix Version v3.0.1PATCH-11 for Microsoft Visual C++ on AIX 4.3.2

The first line of the output shows the Orbix version. In this case, it is version 3.0.1.

  • If the version is 3.0 or higher, then Orbix uses the IIOP protocol.

  • If the version is less than 3.0, then you will get an error message when you type the orbixd –v command (versions of Orbix previous to version 3.0 do not support the –v command line switch). If this is the case, then Orbix uses the non-standard Orbix protocol and you will need to set the OrbixIIOPProtocol entry to 0 in the Pcdlrn.ini file.


Orbix Server

Use the Orbix Server area to tell PC-DMIS how to connect to the I-DEAS server. You can use the default connection method and server by clicking the Use Default button.

The I-DEAS server can be connected in one of two ways:

Method 1:

PC-DMIS starts up a session of I-DEAS to which you can connect. This is the default. If you desire a server other than the default, click the Determine button and PC-DMIS will display the available directories and servers in the Server Repository area:

Server Repository area

Once PC-DMIS displays the server repository tree, select a server that is correct for the version of I-DEAS.

PC-DMIS parses the selected server’s launch command to determine the command to start I-DEAS. This command will be used to create a new temporary server with launch command options specific to PC-DMIS.

Method 2:

PC-DMIS connects to an active I-DEAS session already running. The active session should be beyond any start-up dialogs. To connect to an active I-DEAS session, select the Connect To Active Server check box. Initially, the Orbix Server box will be blank. In this case, PC-DMIS will attempt to connect to any active server on the host. If more than one I-DEAS session is active, this may produce unpredictable results.

If you want to connect to a specific active server:

  1. Select the Determine button and the list will display all active Orbix servers:

Example list of active Orbix servers displayed

  2. Select the server to which you want to connect.

Note: When connecting to a specific active Orbix server, you will need to specify the server every time you open the part program. This will ensure that you are connecting to the correct server.

Note: When connecting to a Ford C3P version of I-DEAS, you must use this second method to connect to an I-DEAS server.


Using the I-DEAS FTP Setup Dialog Box

I-DEAS FTP Setup Dialog Box

The I-DEAS FTP Setup dialog box allows you to set File Transfer Protocol (FTP) options and test FTP communications with the I-DEAS server computer. To increase the speed of file transfers from a remote I-DEAS host, PC-DMIS will attempt to use FTP. If an FTP server is not available on the I-DEAS host, a slower method of transferring the files through the communication protocol will be used. This slower method is about ten times slower than using FTP.

To ensure that PC-DMIS can transfer files via FTP to the I-DEAS host successfully, there are several items that must be checked:

  • An FTP server must be running on the I-DEAS host. You can check that an FTP server is running by using a Command Prompt window to FTP to the host.

  • Using FTP, reading a file from the I-DEAS scratch directory must be possible. Again, you can check this by using FTP a Command Prompt window and try to read a file from the I-DEAS scratch directory.

Here are the steps to determine the I-DEAS scratch directory:

  1. From the I-DEAS session on the remote host, type the following command in the I-DEAS prompt window:

/ MA IDM

  2. After entering the above command, information should be displayed in the I-DEAS list window. Near the bottom of the list window, you should see something similar to this:

DataMgmt.ScratchDirectory:

(null) -> e:\users\Dragon\

The text to the right of -> is the directory from which FTP must be able to read files. In this example, the scratch directory is e:\users\Dragon\.

More:

Anonymous login

Username

Password

Test FTP Connection


Anonymous login

Select this check box if read and write privileges are allowed for anonymous login. If read and write privileges are not allowed for anonymous login, deselect this check box, and specify a username and password that has read and write privileges.


Username

If you deselect the Anonymous login check box , the Username box becomes available, and you must type a username to login.


Password

In this box type a password that corresponds with your username. You don't need a password if you select the Anonymous login check box.


Test FTP Connection

Click the Test FTP Connection button to send and receive a test file to the I-DEAS server computer. PC-DMIS sends the file to the I-DEAS scratch directory. Once the test finishes, PC-DMIS removes the test file from the directory. If there are problems during the test, you will see an error message describing the problem. Otherwise, you will see a message indicating success along with statistics showing the transfer rates with the I-DEAS server computer.


Using the I-DEAS Coordinate System Selection dialog box

I-DEAS Coordinate System Selection dialog box

The I-DEAS Coordinate System Selection dialog box allows coordinate system selection for imported parts. This dialog box opens after you click the Import Selected Items button from the I-DEAS Item Selection dialog box.

Note: This dialog box appears only if multiple coordinate systems are available for any of the imported parts.

After changing the coordinate system for the parts, click OK to accept the changes. Click Cancel to discard any changes.

More:

Parts to import

Selected Part


Parts to import

The Parts to import list shows the parts PC-DMIS will import. Select each part for which you want to change the coordinate system option.

Note: If you're importing an assembly, it will not be displayed because assemblies do not have coordinate systems associated with them.


Selected Part

The Selected Part area shows which coordinate system will be used for the selected part. Select one of the coordinate systems from the drop-down list. If you do not want to use a coordinate system for the part, deselect the Use coordinate system check box.


I-DEAS Version 10 or Higher Direct CAD Interface

I-DEAS 10 and higher use a new version of Orbix, OrbixE2A, to communicate between client programs and I-DEAS.

OrbixE2A no longer allows PC-DMIS to start a new session of I-DEAS when connecting. PC-DMIS can only connect to a manually started session of I-DEAS. In this latest version of Orbix, Electronic Data Systems Corporation (EDS), the company that sells I-DEAS, did not consider that client programs would connect to I-DEAS 10 outside of the I-DEAS environment. They only assumed that programs would be started only from within I-DEAS.

Since EDS most likely will not address this problem, you will need to perform the following one-time setup procedures in order to use I-DEAS 10 and higher with PC-DMIS.

Note: In these steps, the phrases PC-DMIS PC refers to the computer on which PC-DMIS exists and I-DEAS computer refers to the computer on which I-DEAS 10 exists. The I-DEAS program may or may not be on the same computer as PC-DMIS.

Before continuing, verify that I-DEAS 10 already exists on a computer.

More:

Remote I-DEAS Setup

Common Setup for all I-DEAS Configurations


Remote I-DEAS Setup

  • If I-IDEAS resides on a computer other than the PC-DMIS PC, perform the steps below.

  • If I-DEAS resides on the same computer as the PC-DMIS PC, only perform the steps listed in the "Common Setup for all I-DEAS Configurations" topic.

Steps for Remote I-DEAS Setup:

Step 1: Install Java 2 on the PC-DMIS PC

Step 2: Install OrbixE2A on the PC-DMIS PC

Step 3: Perform Common Setup Steps

Step 4: Copy MyDomain.cfg from the Remote Computer to the PC-DMIS PC


Step 1: Install Java 2 on the PC-DMIS PC

  1. Obtain the I-DEAS installation discs for Windows 2000/XP.

  2. Insert disc 1 of the I-DEAS installation discs in the PC-DMIS PC.

  3. Select installation for Java 2 (1.3.1_4) Development Environment. For I-DEAS versions later than 10, the Java version may be different.

  4. Follow any additional on-screen instructions.


Step 2: Install OrbixE2A on the PC-DMIS PC

  1. Insert disc 1 of the I-DEAS installation discs in the PC-DMIS PC.

  2. Select installation for I-DEAS 10 NX Series. For I-DEAS versions later than 10, the version number will change.

  3. Follow any on-screen instructions until the Setup Type dialog box appears.

  4. At the Setup Type dialog box, select Software Installation Only.

  5. At the User Information dialog box, type the same installation number that you used to install I-DEAS on the remote computer.

  6. At the Select License File dialog box, select Manually configure my license after setup completes.

  7. At the Select Components dialog box, select the A001 Core Master Modeler check box. Leave all other options deselected.

  8. Finish the installation process by following any additional on-screen instructions.


Step 3: Perform Common Setup Steps

At this point, follow the steps listed in "Common Setup for all I-DEAS Configurations". When you're finished with those steps, continue with "Step 4: Copy MyDomain.cfg from the Remote Computer to the PC-DMIS PC".


Step 4: Copy MyDomain.cfg from the Remote Computer to the PC-DMIS PC

  1. Locate the file MyDomain.cfg on the remote computer. On PC systems, the default location for this file is in directory c:\EDS\I-DEAS10\Iona\OrbixE2A\etc\domains. On UNIX systems, you can find the file in a similar directory.

  2. Copy the MyDomain.cfg file from the remote computer to the corresponding directory on the PC-DMIS PC. The directory will be the same value entered for environment variable IT_CONFIG_DOMAINS_DIR in "Step 2: Add IT_CONFIG_DOMAINS_DIR to the PC-DMIS PC Environment Variables".

Since MyDomain.cfg is an ASCII formatted file you may experience carriage return formatting problems when copying this file from the UNIX system to the PC-DMIS PC.

To solve this, the UNIX system provides the unix2dos command line utility to help convert UNIX ASCII text files so that they're properly read by Windows systems:

unix2dos <your-unix-file-name> <new-windows-file-name>

The first argument is the name of the file you wish to convert and the second argument is the name you want to give to the converted copy of the file.


Common Setup for all I-DEAS Configurations

  • If I-DEAS will be accessed on the same computer as the PC-DMIS PC, only perform the steps listed below.

  • If I-IDEAS will be accessed on a computer other than the PC-DMIS PC, only perform the steps in "Remote I-DEAS Setup".

Steps for Common I-DEAS Setup:

Step 1: Add “Startup.InitOI: 1” to the ideas_param10.dat file

Step 2: Add IT_CONFIG_DOMAINS_DIR to the PC-DMIS PC Environment Variables

Step 3: Add IT_DOMAIN_NAME to the PC-DMIS PC Environment Variables

Step 4: Start a Session of I-DEAS on the I-DEAS Computer


Step 1: Add “Startup.InitOI: 1” to the ideas_param10.dat file

Adding “Startup.InitOI: 1” to the ideas_param10.dat file causes I-DEAS to create an Orbix server name immediately upon startup. Without this added line, I-DEAS 10 delays the server name creation until an unspecified amount of time after startup. Without a created server name, PC-DMIS cannot connect to I-DEAS.

Note: The name of the .dat file will be slightly different for versions of I-DEAS other than 10. For example, the I-DEAS 11 .dat file would be ideas_param11.dat.

  1. On the I-DEAS computer, locate the ideas_param10.dat file. By default this file is located on Windows systems in the c:\Team\Master\Config directory. You can find this file in a similar directory on UNIX systems.

  2. Using a text editor, open ideas_param10.dat.

  3. Type the following line at the end of the file:

Startup.InitOI: 1

This text may already exist in the file but it may be commented out. Search for Startup.InitOI in the file and if you find it, you don't need to add the line at the end of the file, simply delete the character in front of the text that comments out the line.


Step 2: Add IT_CONFIG_DOMAINS_DIR to the PC-DMIS PC Environment

Step 2: Add IT_CONFIG_DOMAINS_DIR to the PC-DMIS PC Environment Variables

The environment variable IT_CONFIG_DOMAINS_DIR must be set to the Orbix domains directory on the PC-DMIS PC.

  1. From the Start menu, select Settings | Control Panel. The Control Panel appears.

  2. Double-click the System icon. The System Properties dialog box appears.

  3. Select the Advanced tab, and then click the Environment Variables button. The Environment Variables dialog box appears.

  4. In the System Variables area, click the New button.

  5. In the Variable Name, box type the following: IT_CONFIG_DOMAINS_DIR

  6. In the Variable Value box set the value to the Iona\OrbixE2A\etc\domains directory on the PC-DMIS PC. By default this directory is c:\EDS\I-DEAS10\Iona\OrbixE2A\etc\domains.

  7. Click the OK button to create the new variable.

  8. Continue clicking OK until you close the System Properties dialog box.


Step 3: Add IT_DOMAIN_NAME to the PC-DMIS PC Environment Variables

The environment variable IT_ DOMAIN_NAME must be set to the domain name created by I-DEAS.

  1. From the Start menu, select Settings | Control Panel. The Control Panel appears.

  2. Double-click the System icon. The System Properties dialog box appears.

  3. Select the Advanced tab and then click the Environment Variables button. The Environment Variables dialog box appears.

  4. In the System Variables area, click the New button.

  5. In the Variable Name box, type the following:
    IT_DOMAIN_NAME

  6. Type the appropriate value in the Variable Value box as noted below:

    • For I-DEAS 10 and 11 type: MyDomain

    • For I-DEAS 12 type: IDEAS12

  7. Click the OK button to create the new variable.

  8. Continue clicking OK until you close the System Properties dialog box.


Step 4: Start a Session of I-DEAS on the I-DEAS Computer

Beginning with I-DEAS 10, PC-DMIS can only connect to an active session of I-DEAS. Before using PC-DMIS to connect to I-DEAS, start a session of I-DEAS on the I-DEAS computer. The starting model file is not important, but I-DEAS should show the graphics screen.


ACIS Direct CAD Interface

Follow the procedures in this section to install PC-DMIS and configure your system use the ACIS Direct CAD Interface.

If installing to a Windows NT computer, make sure you have full administrator rights before proceeding.

More:

Step 1: Installing PC-DMIS

Step 2: Testing the ACIS Direct CAD Interface


Step 1: Installing PC-DMIS

The installation setup program of PC-DMIS 3.2 or higher will place several DLLs in the Path environment variable allowing you to link directly to ACIS CAD files. To install PC-DMIS follow this procedure:

  1. Plug your PC-DMIS portlock (also known as a dongle) into the printer port of your PC.

  2. Insert the PC-DMIS CD-ROM into your CD-ROM drive.

  3. Using Windows Explorer, open the directory containing the CD-ROM and then navigate to the setup.exe application for PC-DMIS.

  4. Double click (execute) the file setup.exe.

  5. This will activate the PC-DMIS installation sequence.

  6. Follow the on-screen instructions.

  7. At the end of the installation, a PC-DMIS for Windows Program Group appears containing a Start Up icon.

  8. Double click this icon and wait a few moments. PC-DMIS checks your portlock settings at this point.

  9. You should now see some new icons in the PC-DMIS for Windows Program Group. These include: Offline, Uninstall, and Help.

This completes the PC-DMIS installation.


Step 2: Testing the ACIS Direct CAD Interface

Follow these steps to test the ACIS Direct CAD Interface:

  • Launch PC-DMIS

  • Create a New Part Program

  • Import an ACIS Part File


Import an ACIS Part File

  1. Select the File | Direct CAD Interfaces ® | ACIS menu option. An Open dialog box appears.

  2. Select ACIS Files from the Files of type list.

  3. Navigate to the directory containing the ACIS file to import.

  4. Select the ACIS part (with a .sat pr .sab extension).

  5. Click Import. This dialog box closes.

  6. PC-DMIS imports the selected file.

  7. Use PC-DMIS as usual.


SolidWorks Direct CAD Interface

Follow the procedures in this section to install PC-DMIS and configure your system to use the SolidWorks Direct CAD Interface.

  • Make sure you have full administrator rights before proceeding.

  • If you haven't already done so, install SolidWorks (see the "Supported CAD Systems" topic.) plus Service Pack 4.0 or later on the same computer that will run PC-DMIS. You must be able to run SolidWorks on the local machine in order for PC-DMIS to be able to interface with SolidWorks. You must have a basic SolidWorks license; i f not, you can purchase one from SolidWorks (see http://www.solidworks.com).

More:

Step 1: Installing PC-DMIS

Step 2: Test the SolidWorks Direct CAD Interface


Step 2: Test the SolidWorks Direct CAD Interface

This final step imports a SolidWorks part file and tests the Direct CAD Interface.

Follows these steps the test your SolidWorks DCI:

  • Launch PC-DMIS

  • Create a New Part Program

  • Import a SolidWorks Part File


Import a SolidWorks Part File

Note: When you import a SolidWorks part into PC-DMIS, PC-DMIS creates attributes in the SolidWorks part file. These attributes are required to allow PC-DMIS to match imported CAD objects back to their original SolidWorks’ representations.

  1. Select the File | Direct CAD Interfaces ® | Pro/ENGINEER menu option. An Open dialog box appears.

  2. Select SolidWorks DCI from the Files of type list.

  3. Navigate to the directory containing the SolidWorks file.

  4. Select the SolidWorks part (a file with a .SLDPRT or .SLDASM extension).

  5. Click Import. This dialog box closes.

  6. PC-DMIS imports the selected file.

  7. Use PC-DMIS as usual.


AIMS Direct CAD Interface

Follow the procedures in this section to install PC-DMIS and configure your system to use the AIMS Direct CAD Interface. The AIMS Direct CAD Interface is used to connect to TDF files.

More:

Step 1: Installing PC-DMIS

Step 2: Test the AIMS Direct CAD Interface


Step 2: Test the AIMS Direct CAD Interface

This final step imports an AIMS part file and tests the Direct CAD Interface.

Follows these steps the test your AIMS DCI:

  • Launch PC-DMIS

  • Create a New Part Program

  • Import an AIMS Part File


Import an AIMS Part File

  1. Select the File | Direct CAD Interfaces ® | AIMS menu option. An Open dialog box appears.

  2. Select AIMS DCI Files (tdfa*) from the Files of type list. Typically the directory will contain several TDF files.

  3. Navigate to the directory containing the TDF files.

  4. Select any TDF file (any file inside the TDF directory that starts with tdfa).

  5. Click Import. This dialog box closes.

  6. PC-DMIS imports the selected file.

  7. Use PC-DMIS as usual.


Setting Advanced Ini / Registry Options: Introduction

This chapter allows advanced users to further customize the Direct CAD Interface by setting certain options within the Pcdlrn.ini file (for PC-DMIS versions prior to 3.5) or the PC-DMIS Settings Editor (for PC-DMIS version 3.5 and later).

More:

Setting Advanced I-DEAS Options in the [Ideas]Section of the Pcdlrn.ini File

Setting Advanced Unigraphics Options in the PC-DMIS Settings Editor

Setting Advanced SolidWorks Settings in the PC-DMIS Settings Editor

Setting Advanced Pro/Engineer Settings in the PC-DMIS Settings Editor

Setting Advanced AIMS Settings in the PC-DMIS Settings


Setting Advanced I-DEAS Options in the [Ideas] Section of the

Setting Advanced I-DEAS Options in the [Ideas] Section of the Pcdlrn.ini File

For advanced users with PC-DMIS version 3.2 or 3.25, this topic provides additional Pcdlrn.ini entries allowing you to customize the interface between PC-DMIS and I-DEAS.

These entries include:

  • OrbixPort

  • OrbixIIOPProtocol

  • Server

  • ConnectActiveServer

  • Verbose

  • FtpUserName and FtpPassWord

Note: Normally, you don't need to use any of these entries to successfully operate PC-DMIS with I-DEAS.

For users with PC-DMIS version 3.5, these entries are controlled from the PC-DMIS user interface.

Warning: Incorrectly editing the registry may damage your computer system. For this reason we supply the PC-DMIS Settings Editor. We suggest you use this application to change your settings in PC-DMIS. However if you decide to edit the registry directly, be sure to back up important data on the computer before making your changes to the registry.


Using the OrbixPort Entry

I-DEAS uses a software product called Orbix as an information broker between applications over a network. PC-DMIS uses Orbix™ to send and receive information from the I-DEAS server. By default, I-DEAS uses TCP/IP port 1570 for Orbix communications across a network. If I-DEAS does not use the default port, then you need to specify the port using the OrbixPort entry in the Pcdlrn.ini file.

More:

To Determine the Orbix Port

To Modify the OrbixPortEntry in the Pcdlrn.ini file


To Determine the Orbix Port

You can determine the port that I-DEAS uses for Orbix communications by doing the following:

  1. Start a session of I-DEAS on the computer where you want to determine the Orbix port.

  2. From the I-DEAS Prompt window, open a command window by doing one of the following:

    • On Unix systems, type oaxx execute xterm then press ENTER.

    • On PC systems, type oaxx execute cmd.exe then press ENTER.

Opening a command window on a PC from the I-DEAS Prompt window

This will open a terminal window or DOS window into which you can type commands.

  3. From the command window, type the following command:

orbixd -v

You should see output similar to the following:

Orbix daemon v3.0.1PATCH-11

s1474-3.0.1PATCH-11: Orbix Version v3.0.1PATCH-11 for Microsoft Visual C++ on AIX 4.3.2

Implementation Repository Path …

Daemon Port :1570

Daemon Port Base :1570

Daemon Port Range :50

The 1570 value listed to the right of "Daemon Port" is the Orbix port you should use. If it is not 1570, then you will need to edit the Pcdlrn.ini OrbixPort entry with the port number.

If you get an error message when you type the orbixd –v command, then the Orbix version is less than version 3.0 and does not support the –v command line switch. You will need to type the following command to determine the Orbix port:

lsit –h yahoo.com

You should get some error messages similar to the following:

[341: Retrying connection to host `yahoo.com' port 1570]

The port displayed in the error message is the Orbix port you should use.


To Modify the OrbixPort Entry in the Pcdlrn.ini file

To customize which TCP/IP port Orbix communication uses in the Pcdlrn.ini file, do the following:

  1. Open the pcdlrn.ini file in a standard text editor (such as Notepad). The file resides in either your "C:\Windows" directory (for Windows 95, 98, and XP systems) or your “C:\Winnt” directory (for Windows NT and 2000 systems).

  2. Navigate to the [Ideas] section. If there is no [Ideas] section, type [Ideas] on a new line at the end of the file to add it.

  3. Add the OrbixPort entry on a new line in the [Ideas] section. Set OrbixPort equal to the port Orbix is communicating on. For example, if Orbix is communicating on port 1770, you would type the following:

OrbixPort=1770

  4. Save and close the Pcdlrn.ini file when you are finished modifying it.

Caution: When viewing or editing the Pcdlrn.ini file, take care that you don't break up any other Pcdlrn.ini sections. Also, double-check any changes before saving them.


Using the OrbixIIOPProtocol Entry

Depending on the version of Orbix installed on the I-DEAS server computer, the network communication will use one of two different communication protocols.

  • For Orbix 3.0 and above, the network communications use the CORBA Internet Inter-ORB Protocol (IIOP).

  • For versions of Orbix older than 3.0, the network communications use the non-standard Orbix communications protocol.

By default, if you are connecting to I-DEAS 8 or above, the IIOP protocol is used but you can override the communication protocol using the OrbixIIOPProtocol entry in the Pcdlrn.ini file.

I-DEAS MS7 and I-DEAS MS6A can only use the non-standard Orbix protocol. Therefore, the OrbixIIOPProtocol entry is ignored when connecting to I-DEAS MS7 or I-DEAS MS6A.

Note: I-DEAS 8 on an SGI or IBM computer typically uses Orbix 2.2 for network communications. Therefore, if you are connecting to I-DEAS 8 on an SGI or IBM computer, you will need to add the OrbixIIOPProtocol=0 entry to the Pcdlrn.ini file.

More:

To Determine the Orbix Communication Protocol

To Modify the OrbixIIOPProtocol Entry in the Pcdlrn.ini file


To Modify the OrbixIIOPProtocol Entry in the Pcdlrn.ini file

To override the default communications protocol Orbix will use, do the following:

  1. Open the pcdlrn.ini file in a standard text editor (such as Notepad). The file resides in either your "C:\Windows" directory (for Windows 95, 98, and XP systems) or your "C:\Winnt" directory (for Windows NT and 2000 systems).

  2. Navigate to the [Ideas] section. If there is no [Ideas] section, type [Ideas] on a new line at the end of the file to add it.

  3. Add the OrbixIIOPProtocol entry on a new line in the [Ideas] section. Set OrbixIIOPProtocol equal to 1 to have Orbix use IIOP communications or 0 to have Orbix use the non-standard Orbix protocol. For example, to use the non-standard Orbix protocol, you would type the following:

OrbixIIOPProtocol=0

  4. Save and close the Pcdlrn.ini file when you are finished modifying it.

Caution: When viewing or editing the Pcdlrn.ini file, take care that you don't break up any other Pcdlrn.ini sections. Also, double-check any changes before saving them.


Using the Server Entry

When connecting to an I-DEAS server, PC-DMIS parses the launch command found in the Orbix OpenDesign server to determine the startup script for I-DEAS. Normally, PC-DMIS searches for the OpenDesign server in the Orbix repository directory. The location of this directory differs from version to version.

Consider this table:

Version | Default Repository Directory
MS8 | /SDRC/I-DEAS_8
MS7 | /SDRC/I-DEAS_7
MS6A | /SDRC/I-DEAS_6
and so on . . .

If the OpenDesign server is not located in this default directory, you can manually define where it is located. To do this:

  1. Open the Pcdlrn.ini file in a standard text editor (such as Notepad). The file resides in either your "C:\Windows" directory (for Windows 95, 98, and XP systems) or your “C:\Winnt” directory (for Windows NT and 2000 systems).

  2. Navigate to the [Ideas] section. If there is no [Ideas] section, type [Ideas] on a new line at the end of the file to add it.

  3. Add the Server entry on a new line in the [Ideas] section. Set Server equal to the Orbix OpenDesign server including its directory. For example, if the server is in the /I-DEAS/MS8 directory you would type the following:

Server=/I-DEAS/MS8/OpenDesign

  4. Save and close the Pcdlrn.ini file when you are finished modifying it.

Caution: When viewing or editing the Pcdlrn.ini file, take care that you don't break up any other Pcdlrn.ini sections. Also, double-check any changes before saving them.


Using the ConnectActiveServer Entry

Normally, when you open an I-DEAS part program in PC-DMIS, an I-DEAS session will be launched on the specified host. When you exit PC-DMIS, the session of I-DEAS will also shut down.

You can customize this behavior so that instead of launching a new session of I-DEAS, PC-DMIS connects to an active session of I-DEAS on the specified host, and when you exit PC-DMIS, the I-DEAS session remains open. To do this:

  1. Open the Pcdlrn.ini file in a standard text editor (such as Notepad). The file resides in either your "C:\Windows" directory (for Windows 95, 98 and XP systems) or your “C:\Winnt” directory (for Windows NT and 2000 systems).

  2. Navigate to the [Ideas] section. If there is no [Ideas] section, type [Ideas] on a new line at the end of the file to add it.

  3. Type ConnectActiveServer=1 on a new line in the [Ideas] section. If this entry is set to zero or if the entire entry is deleted, this option is turned off.

Note: If ConnectActiveServer=1, then the Server entry (described in "Using the Server Entry") is ignored.

  4. Save and close the Pcdlrn.ini file when you are finished modifying it.

  5. Before starting PC-DMIS, manually start I-DEAS on the host. When starting I-DEAS, make sure you start in master modeler mode. You can start with any model file as long as I-DEAS is at the main graphics. When you open an I-DEAS part program in PC-DMIS, or import an I-DEAS model into a part program, PC-DMIS will look for an active session of I-DEAS running on the host.

Note: PC-DMIS always interfaces with the first available I-DEAS session on the host. So if you run more than one session of I-DEAS on the host, PC-DMIS may start interfacing with an unintended session of I-DEAS.

Caution: When viewing or editing the Pcdlrn.ini file, take care that you don't break up any other Pcdlrn.ini sections. Also, double-check any changes before saving them.


Using the Verbose Entry

Using the verbose entry can provide additional information that will help you to diagnose a problem. Set this entry to one to display more detailed messages related to the I-DEAS DCI. These messages will generally provide messages as to why a procedure in the I-DEAS DCI failed.

More:

To Modify the VerboseEntry in the Pcdlrn.ini file


To Modify the Verbose Entry in the Pcdlrn.ini file

To customize whether detailed diagnostic messages are displayed during the I-DEAS DCI import process, do the following:

  1. Open the pcdlrn.ini file in a standard text editor (such as Notepad). The file resides in either your "C:\Windows" directory (for Windows 95, 98, and XP systems) or your “C:\Winnt” directory (for Windows NT and 2000 systems).

  2. Navigate to the [Ideas] section. If there is no [Ideas] section, type [Ideas] on a new line at the end of the file to add it.

  3. Type Verbose=1 on a new line in the [Ideas] section. If this entry is set to zero or if the entire entry is deleted, this option is turned off.

  4. Save and close the Pcdlrn.ini file when you are finished modifying it.

Caution: When viewing or editing the Pcdlrn.ini file, take care that you don't break up any other Pcdlrn.ini sections. Also, double-check any changes before saving them.


Using the FtpUserName and FtpPassWord Entry

To increase the speed of file transfers from a remote I-DEAS host, PC-DMIS will attempt to use File Transfer Protocol (FTP). If an FTP server is not available on the I-DEAS host, a slower method of transferring the files through the communication protocol will be used. This slower method is about ten times slower than using FTP.

To ensure that PC-DMIS can transfer files via FTP to the I-DEAS host successfully, there are several items that must be checked:

  • An FTP server must be running on the I-DEAS host. You can check that an FTP server is running by using a Command Prompt window to FTP to the host.

  • Using FTP, reading a file from the I-DEAS scratch directory must be possible. Again, you can check this by using FTP from a Command Prompt window and try to read a file from the I-DEAS scratch directory.

Here are the steps to determine the I-DEAS scratch directory:

  1. From the I-DEAS session on the remote host, type the following command in the I-DEAS prompt window:

/ MA IDM

  2. After entering the above command, information should be displayed in the I-DEAS list window. Near the bottom of the list window, you should see something similar to this:

DataMgmt.ScratchDirectory:

(null) -> e:\users\Dragon\

The text to the right of -> is the directory from which FTP must be able to read files. In this example, the scratch directory is e:\users\Dragon\.

By default, PC-DMIS will attempt an anonymous FTP login to the I-DEAS host. If an anonymous user cannot read files from the I-DEAS scratch directory, you can use the FtpUserName and FtpPassWord to specify which user and password to use for FTP login (see "To Modify the FtpUserName and FtpPassWord Entries in the Pcdlrn.ini file").


To Modify the FtpUserName and FtpPassWordEntries in the

To Modify the FtpUserName and FtpPassWord Entries in the Pcdlrn.ini file

To use an FTP login other than anonymous, do the following:

  1. Open the pcdlrn.ini file in a standard text editor (such as Notepad). The file resides in either your "C:\Windows" directory (for Windows 95, 98, and XP systems) or your “C:\Winnt” directory (for Windows NT and 2000 systems).

  2. Navigate to the [Ideas] section. If there is no [Ideas] section, type [Ideas] on a new line at the end of the file to add it.

  3. Add the FtpUserName entry on a new line in the [Ideas] section. Set FtpUserName equal to the user name to login as to the FTP server. For example, if the user name is PcdmisUser, you would type the following:

FtpUserName=PcdmisUser

  4. Add the FtpPassWord entry on a new line in the [Ideas] section. Set FtpPassWord equal to the password of the user specified with the FtpUserName entry. For example, if the password for PcdmisUser is pcdmis1, you would type the following:

FtpPassWord=pcdmis1

Remember that passwords are case sensitive.

  5. Save and close the Pcdlrn.ini file when you are finished modifying it.

Caution: When viewing or editing the Pcdlrn.ini file, take care that you don't break up any other Pcdlrn.ini sections. Also, double check any changes before saving them.


Setting Advanced Unigraphics Options in the PC-DMIS Settings

Setting Advanced Unigraphics Options in the PC-DMIS Settings Editor

For advanced users with PC-DMIS version 3.5 or higher, this topic provides additional registry entries that allow you to further customize the interface between PC-DMIS and Unigraphics.

The entries discussed here include:

  • Option Section

  • UGLoadOption

  • Unigraphics Section (called UnigraphicsDCI in version 3.5)

  • AllowToRunWithoutCADFIle

  • DisplayUGLicenseErrors

  • DebugDCI

These options were added to the Unigraphics Section in PC-DMIS 3.6 and higher:

  • UseAssemblyComponentColors

  • ImportWorkLayer

  • ImportSelectableLayers

  • ImportVisibleLayers

  • ImportInvisibleLayers

  • LayerNUmbersToImport

Note: Normally, you don't need to use any of these entries to successfully operate PC-DMIS with Unigraphics.

Warning: Incorrectly editing the registry may damage your computer system. For this reason we supply the PC-DMIS Settings Editor. We suggest you use this application to change your settings in PC-DMIS. However if you decide to edit the registry directly, be sure to back up important data on the computer before making your changes to the registry.


Using the UGLoadOption Entry

This option sets the rules for the loading of Unigraphics assembly component files when an assembly is loaded.

Modify the UGLoadOption value in the Registry

Before proceeding you will need to modify an entry in the registry.

  1. Select Start | Program Files | PC-DMIS for Windows, and then click Settings Editor. The Settings Editor launches.

  2. Find the OPTION section of the file, and click the plus sign (+) next to it. The list expands. Find the UGLoadOption, it should be equal to zero.

  3. Replace the default value of zero with 0, 1, or 2 depending on the directory from which you will import the UG component parts when you import a UG Assembly file.

Value | Meaning
0 | UF_ASSEM_load_from_directory
1 | UF_ASSEM_load_from_search_dirs
2 | UF_ASSEM_load_as_saved

  4. Click Save Setting to save your change.

  5. Click OK, to close the Settings Editor.

  6. Copy the load_options.def file, if one exists, from your UG home directory into your PC-DMIS home directory.


Using the AllowToRunWithoutCADFile Entry

This entry controls whether a dialog box appears asking you what to do if the original CAD file can’t be found.

Modify the AllowToRunWithoutCADFile value in the Registry

  1. Select Start | Program Files | PC-DMIS for Windows, and then click Settings Editor. The Settings Editor launches.

  2. Find the Unigraphics section of the file (or UnigraphicsDCI if using version 3.5), and click the plus sign (+) next to it. The list expands. Find the AllowToRunWithoutCADFile

  3. Replace the current value of True or False

Value | Meaning
None | The dialog box will be displayed, asking the user what to do.
True | The dialog box will not be displayed. The part program will be loaded without the Original Unigraphics CAD part file.
False | The dialog box will be displayed, asking the user what to do.

  4. Click Save Setting to save your change.

  5. Click OK, to close the Settings Editor.


Using the DisplayUGLicenseErrors Entry

This entry controls whether a warning dialog box appears when opening a part program with CAD data imported with the UG DCI.

Note: Any UG License error dialog box will always be displayed when importing new CAD data with the UG DCI. Additionally, if you've set the proper configuration option, UG license errors will be sent to the UG DCI debug file. See "Using the DebugDCI Entry".

Modify the DisplayUGLicenseErrors value in the Registry

  1. Select Start | Program Files | PC-DMIS for Windows, and then click Settings Editor. The Settings Editor launches.

  2. Find the Unigraphics section of the file (or UnigraphicsDCI if using version 3.5), and click the plus sign (+) next to it. The list expands. Find the DisplayUGLicenseErrors.

  3. Replace the current value with True or False.

Value | Meaning
None | PC-DMIS displays the UG license error warning dialog boxes.
True | PC-DMIS will display any UG license error warning dialog boxes.
False | PC-DMIS does not display any UG license error dialog boxes when opening an existing part program.

  4. Click Save Setting to save your change.

  5. Click OK, to close the Settings Editor.


Using the DebugDCI Entry

This entry controls whether a debug file, UG_DCI.txt, will be created in the PC-DMIS directory. You can view this file and any debug information it contains in any standard text editor.

Modify the DebugDCI value in the Registry

  1. Select Start | Program Files | PC-DMIS for Windows, and then click Settings Editor. The Settings Editor launches.

  2. Find the UnigraphicsDCI section of the file (or UnigraphicsDCI if using version 3.5), and click the plus sign (+) next to it. The list expands.

  3. Select the DebugDCI entry.

  4. Replace the current value with True or False.

Value | Meaning
None | No debug file will be created.
True | A debug file of the UG DCI session will be created.
False | No debug file will be created.

  5. Click Save Setting to save your change.

  6. Click OK, to close the Settings Editor.


Using the UseAssemblyComponentColors Entry

Use the UseAssemblyComponentColors registry entry, available in PC-MIS version 3.6 or later, to have PC-DMIS display the color for each component. The displayed color can either be the original part color or a component color specified in the assembly.

This option only has an effect during a Unigraphics assembly import.

Note: Unigraphics does not currently provide a method of determining the actual display of the assembly components as displayed in Unigraphics. This option provides the means to match the actual Unigraphics assembly display colors.

Modify the UseAssemblyComponentColors value in the Registry

  1. Select Start | Program Files | PC-DMIS for Windows, and then click Settings Editor. The Settings Editor launches.

  2. Find the UnigraphicsDCI section of the file, and click the plus sign (+) next to it. The list expands. Find the UseAssemblyComponentColors.

  3. Replace the current value with True or False.

Value | Meaning
None | Each assembly component will be displayed using it’s original part color.
True | Each assembly component will be displayed using the component color as specified within the assembly..
False | Each assembly component will be displayed using it’s original part color.

  4. Click Save Setting to save your change.

  5. Click OK, to close the Settings Editor.


Using the ImportWorkLayer Entry

This entry controls whether the CAD data on the Unigraphics file’s work layer is imported

Modify the ImportWorkLayer entry value in the Registry

  1. Select Start | Program Files | PC-DMIS for Windows, and then click Settings Editor. The Settings Editor launches.

  2. Find the Unigraphics section of the file, and click the plus sign (+) next to it. The list expands.

  3. Select the ImportWorkLayer entry.

  4. Replace the current value with True or False.

Value | Meaning
None | CAD data on the work layer will be imported
True | CAD data on the work layer will be imported
False | CAD data on the work layer will not be imported

  5. Click Save Setting to save your change.

  6. Click OK, to close the Settings Editor.


Using the ImportSelectableLayers Entry

This entry controls whether the CAD data on the Unigraphics file’s selectable layers is imported.

Modify the ImportSelectableLayers entry value in the Registry

  1. Select Start | Program Files | PC-DMIS for Windows, and then click Settings Editor. The Settings Editor launches.

  2. Find the Unigraphics section of the file, and click the plus sign (+) next to it. The list expands.

  3. Select the ImportSelectableLayers entry.

  4. Replace the current value with True or False.

Value | Meaning
None | CAD data on the selectable layers will be imported
True | CAD data on the selectable layers will be imported
False | CAD data on the selectable layers will not be imported

  5. Click Save Setting to save your change.

  6. Click OK, to close the Settings Editor.


Using the ImportVisibleLayers Entry

This entry controls whether the CAD data on the Unigraphics file’s visible layers is imported.

Modify the ImportVisibleLayers entry value in the Registry

  1. Select Start | Program Files | PC-DMIS for Windows, and then click Settings Editor. The Settings Editor launches.

  2. Find the Unigraphics section of the file, and click the plus sign (+) next to it. The list expands.

  3. Select the ImportVisibleLayers entry.

  4. Replace the current value with True or False.

Value | Meaning
None | CAD data on the visible layers will be imported
True | CAD data on the visible layers will be imported
False | CAD data on the visible layers will not be imported

  5. Click Save Setting to save your change.

  6. Click OK, to close the Settings Editor.


Using the ImportInvisibleLayers Entry

This entry controls whether the CAD data on the Unigraphics file’s invisible layers is imported

Modify the ImportInvisibleLayers entry value in the Registry

  1. Select Start | Program Files | PC-DMIS for Windows, and then click Settings Editor. The Settings Editor launches.

  2. Find the Unigraphics section of the file, and click the plus sign (+) next to it. The list expands.

  3. Select the ImportInvisibleLayers entry.

  4. Replace the current value with True or False.

Value | Meaning
None | CAD data on the invisible layers will be imported
True | CAD data on the invisible layers will be imported
False | CAD data on the invisible layers will not be imported

  5. Click Save Setting to save your change.

  6. Click OK, to close the Settings Editor.


Using the LayerNumbersToImport Entry

This entry determines the layers and the CAD data that are imported from Unigraphics part files.

Modify the LayerNumbersToImport entry value in the Registry

  1. Select Start | Program Files | PC-DMIS for Windows, and then click Settings Editor. The Settings Editor launches.

  2. Find the Unigraphics section of the file, and click the plus sign (+) next to it. The list expands.

  3. Select the LayersNumbersToImport entry.

  4. Replace the current value with a string specifying which layers to import the CAD data. This string follows the same standard used by Unigraphics to specify layers by number.

Value | Meaning
None | Import CAD data on all layers (1-256)
* | Import CAD data on all layers (1-256)
-15 | Import CAD data on layers (1-15)
5-10 | Import CAD data on layers (5-10)
200- | Import CAD data on layers (200-256)
-5,10-15,200- | Import CAD data on layers (1-5, 10-15, and 200-256)

  5. Click Save Setting to save your change.

  6. Click OK, to close the Settings Editor.


Setting Advanced SolidWorks Settings in the PC-DMIS Settings

Setting Advanced SolidWorks Settings in the PC-DMIS Settings Editor

For advanced users with PC-DMIS version 3.5, this topic provides additional registry entries that allow you to further customize the interface between PC-DMIS and SolidWorks.

The entries discussed here include:

  • SaveSolidWorksAttributesInPart

Warning: Incorrectly editing the registry may damage your computer system. For this reason we supply the PC-DMIS Settings Editor. We suggest you use this application to change your settings in PC-DMIS. However if you decide to edit the registry directly, be sure to back up important data on the computer before making your changes to the registry.


Using the SaveSolidWorksAttributesInPart Entry

The SolidWorks Direct CAD Interface creates attributes on the SolidWorks CAD entities in the SolidWorks part. These attributes are used to associate the SolidWorks CAD entity with its PC-DMSI CAD representation. This option controls if these attributes are stores in the SolidWorks part.

Modify the SaveSolidWorksAttributesInPart value in the Registry

  1. Select Start | Program Files | PC-DMIS for Windows, and then click Settings Editor. The Settings Editor launches.

  2. Find the Option section of the file, and click the plus sign (+) next to it. The list expands. Find the SaveSolidWorksAttributesInPart

  3. Replace the current value of True or False

Value | Meaning
None | The attributes will NOT be stored in the SolidWorks part.
True | The attributes will be stored in the SolidWorks part
False | The attributes will NOT be stored in the SolidWorks part

  4. Click Save Setting to save your change.

  5. Click OK, to close the Settings Editor.


Setting Advanced Pro/Engineer Settings in the PC-DMIS Settings

Setting Advanced Pro/Engineer Settings in the PC-DMIS Settings Editor

For advanced users with PC-DMIS version 3.5, this topic provides additional registry entries that allow you to further customize the interface between PC-DMIS and Pro/Engineer.

The entries discussed here include:

  • ProCommMsgExe

  • ProEngineerApertureRadius

  • ProEngineerExecutableName

  • ProEngineerLoad

  • ProEngineerUseFeatureFilter

  • ProEngineerVersion

Warning: Incorrectly editing the registry may damage your computer system. For this reason we supply the PC-DMIS Settings Editor. We suggest you use this application to change your settings in PC-DMIS. However if you decide to edit the registry directly, be sure to back up important data on the computer before making your changes to the registry.


Using the ProCommMsgExe Entry

This entry contains the full path of the executable to launch the communication tool used to communicate with Pro/ENGINEER.

Modify the ProCommMsgExe value in the Registry

Before proceeding you will need to modify an entry in the registry.

  1. Select Start | Program Files | PC-DMIS for Windows, and then click Settings Editor. The Settings Editor launches.

  2. Find the ProEngineer section of the file, and click the plus sign (+) next to it. The list expands. Find the ProCommMsgExe, the value should be set to None.

  3. Replace the default value of None with the full path of the communication tool executable.

  • In version 3.25 and earlier, you had to create an environment variable called Pro_Comm_Msg_Exe that pointed to the actual executable of the communication tool.

  • In version 3.5 and later if PC-DMIS cannot find this environment variable, it looks for the pathway stored in this entry of the Settings Editor. If the proper pathway exists, PC-DMIS creates the appropriate environment variable, allowing Pro/ENGINEER to run in batch mode.

  4. Click Save Setting to save your change.

  5. Click OK, to close the Settings Editor.


Using the ProEngineerApertureRadius Entry

This entry determines the aperture radius, in pixels, that controls whether a ray is close enough to an edge for the edge to be selected from the ray hit.

Modify the ProEngineerApertureRadius value in the Registry

Before proceeding you will need to modify an entry in the registry.

  1. Select Start | Program Files | PC-DMIS for Windows, and then click Settings Editor. The Settings Editor launches.

  2. Find the ProEngineer section of the file, and click the plus sign (+) next to it. The list expands. Find the ProEngineerApertureRadius, the default value should be set to 7.

  3. Replace the default value of 7 with the needed value in terms of pixels. If the value is less than or equal to zero, then the function uses the default value of seven, or the current value stored in the configuration file.

  • The intersection algorithm used by the PC-DMIS Direct CAD Interface for selecting and piercing Pro/ENGINEER part geometry returns a list of ray intersections with a model. It computes the intersection points of both the original ray and its "negative" with the geometry of the model. The output array is sorted in order of increasing signed distance. You must determine whether the ray is inside or outside the model.

  • If a ray hits in the middle of a face on the model, the algorithm selects the face. However, if the intersection point is very close (within an internally determined selection aperture) to an edge, then the algorithm also selects the edge. Thus, more than one entry of type surface or edge in the ProSelection array may correspond to one actual piercing of the model by the ray. These multiple selections can decrease computation and comparison time.

  • The smaller the aperture radius, PC-DMIS will return fewer intersections. This can improve computation and comparison time.

  4. Click Save Setting to save your change.

  5. Click OK, to close the Settings Editor.


Using the ProEngineerExecutableName Entry

This entry contains the executable used to launch Pro/ENGINEER. See “Installing and Using Pro/ENGINEER Direct CAD Interface for PC-DMIS”.

Modify the ProEngineerExecutableName value in the Registry

Before proceeding you will need to modify an entry in the registry.

  1. Select Start | Program Files | PC-DMIS for Windows, and then click Settings Editor. The Settings Editor launches.

  2. Find the ProEngineer section of the file, and click the plus sign (+) next to it. The list expands. Find the ProEngineerExecutableName, the default value should be set to proe2000i2.

  3. Replace the default value of proe2000i2 with the value specifying the name used to launch Pro/ENGINEER.

  4. Click Save Setting to save your change.

  5. Click OK, to close the Settings Editor.


Using the ProEngineerLoad Entry

This entry allows you to specify whether or not PC-DMIS's Direct CAD Interface (DCI) attempts to connect to Pro/ENGINEER.

Modify the ProEngineerLoad value in the Registry

Before proceeding you will need to modify an entry in the registry.

  1. Select Start | Program Files | PC-DMIS for Windows, and then click Settings Editor. The Settings Editor launches.

  2. Find the ProEngineer section of the file, and click the plus sign (+) next to it. The list expands. Find the ProEngineerLoad, the default value should be set to TRUE.

  3. Replace the default value with the needed value of TRUE or FALSE.

  • If you set this to FALSE, then the Pro/ENGINEER DCI will not attempt to load Pro/ENGINEER, but will instead display a message box and then will give you an option to load the saved .CAD view.

  • You should only set this to TRUE if you have a Pro/ENGINEER license that you're connecting to.

  4. Click Save Setting to save your change.

  5. Click OK, to close the Settings Editor.


Using the ProEngineerUseFeatureFilter Entry

This entry determines whether or not PC-DMIS filters the geometry types displayed in the Graphics Display window. This filters out intermediate, inactive, or hidden geometry that is found in the Pro/ENGINEER model.

Modify the ProEngineerUseFeatureFilter value in the Registry

Before proceeding you will need to modify an entry in the registry.

  1. Select Start | Program Files | PC-DMIS for Windows, and then click Settings Editor. The Settings Editor launches.

  2. Find the ProEngineer section of the file, and click the plus sign (+) next to it. The list expands. Find the ProEngineerUseFeatureFilter, the default value should be set to TRUE(1).

  3. Replace the default value with the needed value of TRUE(1) or FALSE(0).

  • If you set this entry to 1(TRUE), PC-DMIS will enable the feature filter.

  • If you set this entry to 0(FALSE), PC-DMIS will disable the feature filter and will display all the geometry.

  4. Click Save Setting to save your change.

  5. Click OK, to close the Settings Editor.


Using the ProEngineerVersion Entry

This entry specifies the ProEngineer version that is installed for use with PC-DMIS.

Modify the ProEngineerVersion value in the Registry

Before proceeding you will need to modify an entry in the registry.

  1. Select Start | Program Files | PC-DMIS for Windows, and then click Settings Editor. The Settings Editor launches.

  2. Find the ProEngineer section of the file, and click the plus sign (+) next to it. The list expands. Find the ProEngineerVersion, the default value should be set to proe2002i2.

  3. Replace the default value with the version of ProEngineer that you are using. Valid strings are "proe2000i2", "proe2001", "proewildfire", "proewildfire2", and "proewildfire3".

  4. Click Save Setting to save your change.

  5. Click OK, to close the Settings Editor.


Using the UseWildfireMethods Entry

This entry allows you specify that PC-DMIS will use faster Wildfire methods to read the ProE models. It has no effect if ProEngineerVersion is set to "proe2000i2" or "proe2001". If a model cannot be read when this value is set to TRUE, then changing it to FALSE may resolve this problem.

Modify the UseWildfireMethods value in the Registry

Before proceeding you will need to modify an entry in the registry.

  1. Select Start | Program Files | PC-DMIS for Windows, and then click Settings Editor. The Settings Editor launches.

  2. Find the ProEngineer section of the file, and click the plus sign (+) next to it. The list expands. Find the UseWildfireMethods, the default value is TRUE.

  3. Replace the default value with the needed value of TRUE or FALSE.

  • If you set this entry to TRUE, PC-DMIS will use Wildfire methods to read models.

  • If you set this entry to FALSE, PC-DMIS will use the slower pre-wildfire methods to read the model.

  4. Click Save Setting to save your change.

  5. Click OK, to close the Settings Editor.


Setting Advanced AIMS Settings in the PC-DMIS Settings

Setting Advanced AIMS Settings in the PC-DMIS Settings Editor

For advanced users with PC-DMIS version 4.1, this topic provides additional registry entries that allow you to further customize the interface between PC-DMIS and AIMS.

The entries discussed here include:

  • MeasurementDeviceAccuracy

  • MeasurementDeviceId

  • MeasurementDeviceName

Warning: Incorrectly editing the registry may damage your computer system. For this reason we supply the PC-DMIS Settings Editor. We suggest you use this application to change your settings in PC-DMIS. However if you decide to edit the registry directly, be sure to back up important data on the computer before making your changes to the registry.


Using the MeasurementDeviceAccuracy Entry

This entry provides the absolute accuracy of the device that was used to measure the part. This information will be saved to the TDF file on export.

Modify the MeasurementDeviceAccuracy value in the Registry

  1. Select Start | Program Files | PC-DMIS for Windows, and then click Settings Editor. The Settings Editor launches.

  2. Find the AIMS section of the file, and click the plus sign (+) next to it. The list expands. Find the MeasurementDeviceAccuracy, the default value is None (0).

  3. Replace the default value with the needed absolute accuracy value as a real number.

  4. Click Save Setting to save your change.

  5. Click OK, to close the Settings Editor.


Using the MeasurementDeviceId Entry

This is an alphanumeric string used to identify the device that was used to measure the part. This information will be saved to the TDF file on export.

Modify the MeasurementDeviceId value in the Registry

  1. Select Start | Program Files | PC-DMIS for Windows, and then click Settings Editor. The Settings Editor launches.

  2. Find the AIMS section of the file, and click the plus sign (+) next to it. The list expands. Find the MeasurementDeviceId, the default value is None ( ).

  3. Replace the default value with an alphanumeric string used to identify the device.

  4. Click Save Setting to save your change.

  5. Click OK, to close the Settings Editor.


Using the MeasurementDeviceName Entry

This is the name of the device used to measure the part. This information will be saved to the TDF file on export.

Modify the MeasurementDeviceName value in the Registry

  1. Select Start | Program Files | PC-DMIS for Windows, and then click Settings Editor. The Settings Editor launches.

  2. Find the AIMS section of the file, and click the plus sign (+) next to it. The list expands. Find the MeasurementDeviceName, the default value is None ( ).

  3. Replace the default value with the name of the device as a string.

  4. Click Save Setting to save your change.

  5. Click OK, to close the Settings Editor.


Troubleshooting Direct CAD Interfaces

Introduction

Use this troubleshooting guide to find solutions to your Direct CAD Interface problems.

Currently, this troubleshooting guide contains these topics:

  • "Troubleshooting Unigraphics DCI Errors"

  • "Troubleshooting CATIA DCI Errors"

  • "Troubleshooting Pro/ENGINEER DCI Errors"

  • "Troubleshooting I-DEAS DCI Errors"

  • "Troubleshooting SolidWorks DCI Errors"

  • "Troubleshooting CATIA 5 DCI Errors"


Troubleshooting Unigraphics DCI Errors

The first thing you should do when troubleshooting the Unigraphics DCI is to run PC-DMIS with the DebugDCI entry set to TRUE. This will creates a debug file named UG_DCI.txt in the directory containing the PC-DMIS application executable.

To set this entry see "Using the DebugDCI Entry" under the "Setting Advanced Unigraphics Options in the PC-DMIS Settings Editor" topic.

Problem:

When importing a Unigraphics part file you get this error message: "ERROR - Couldn't find the UG execution file!".

Possible Causes:

  • Is the UGII_ROOT_DIR environmental variable set correctly?
    The Unigraphics install process sets this environmental variable. PC-DMIS uses it to locate the UG execution file. To check the value, open a Command Prompt window and type echo %UGII_ROOT_DIR and then press ENTER. If the environment variable is installed correctly, the Command Prompt window will return the pathway containing the environment variable. c:\ugs180\UGII\ pathway.

  • Is the UG executable file where it says it is?
    The UG executable file, Libfun.dll, should be in the %UGII_ROOT_DIR% directory. To check this, open a Command Prompt window and type dir %UGII_ROOT_DIR% and then press ENTER. You should see the Command Prompt window display the libufun.dll file information.

  • Do you have the required Unigraphics license features available?
    The two required license features are “gateway” and ”ufunc_execute”. You can check if the license manager is running and if the required license features are available by using a utility named LMTOOLS provided by Unigraphics. You can run this utility by opening lmtools.exe, located in the UGFLEXLM directory. Once it's running, click the Server Diagnostics tab, and in the Feature Name box, type the license feature you want to check (for example, type ufunc_execute). Then click the Perform Diagnostics button. LMTOOLS will display the results of the diagnostics test within the same tab. For more information on using LMTOOLS, see your “UG FLEXLM User Guide”.

  • Is the UG part file corrupted?
    Unigraphics supplies a tool called UG_INSPECT.EXE that checks if Unigraphics part files are corrupted. This tool is found in the Unigraphics UGII directory and runs within a Command Prompt window. To get information on using this tool, open up a Command Prompt window and type ug_inspect –help and press ENTER.


Troubleshooting CATIA DCI Errors

Problem:

PC-DMIS is unable to connect to pcdcat.

Possible Causes:

  • Is pcdcat running on the UNIX workstation?
    The program pcdcat has to be running in order to connect to PC-DMIS.

  • Do the pcdlrn.ini file or PC-DMIS Settings Editor entries agree with the file pcdmis.dat on the UNIX box?
    In the PC-DMIS Settings Editor (or the Pcdlrn.ini file if you're using a version earlier than 3.5), the registry entry CatiaAddress on the PC side should be the same as the entry “IP” in the file pcdmis.dat, and should be the IP address of the UNIX workstation. Also, the entry CatiaPort on the PC side should be the same as the entry PORT in pcdmis.dat, and should be an open port on both machines.

  • Is the PC-DMIS PC able to see the UNIX workstation?
    The PC needs to be able to reach the UNIX workstation through the network. From a Command Prompt window on the PC, type the command "Ping IP_ADDRESS", where IP_ADDRESS is the IP address that PC-DMIS has for the UNIX workstation.

Problem:

PC-DMIS is able to connect, but unable to open a folder.

Possible Causes:

  • The directory name you gave in PC-DMIS is not registered in the CATIA environment.
    The directory that PC-DMIS reads the models from must be registered in the CATIA environment on the UNIX workstation. You can do this by editing the *.dcls files. For example, a full-path directory like “/home/catadm/db” can be registered with the line    :
    catia.MODEL = ‘$HOME/db’;
    Likewise, you can refer to the same directory with the label "db" if you use the following line:
    catia.MODEL = ‘”$HOME/db”, “db”’;

  • The directory does not have the correct permissions. The user logged in and running pcdcat needs to have read/write permissions in the directory.

Problem:

You can select a model, but it fails to open it, possibly even saying that it has the wrong units.

Possible Causes:

  • Do you have read/write permissions on the model? CATIA needs to have read/write permissions to read the file.

Problem:

You try to connect to a model and get an error message stating: "Error loading CATIA 5 DCI DLL 'CATIA 5' The specified module could not be found."

Possible Causes:

  • Has your CATIA 5 bin directory been added to your Path environment variable? If the Path variable doesn't point to the appropriate bin directory, then the program probably won't be able to find the needed .dll files.

To find out if all the needed .dll files are getting found, do the following:

  1. Determine what version of CATIA 5 you have installed. As of version 3.5 MR2, PC-DMIS supports r8 and r10.

  2. Use PC-DMIS Settings Editor to find the release number (under Catia5 section).

  3. Now look for the associated .dll file in your PC-DMIS installation directory. For example, if your release number is 10, look for Catia5r10.dll.

  4. Right click the file from within Windows Explorer and select View Dependencies. The program will show you any .dll file that Catia5r10.dll is looking for but hasn't found. If there aren't any .dll files that start with CAT*, then you probably haven't added your CATIA 5 bin directory to your path.

To modify your Path environment variable to contain the CATIA 5 bin directory:

  1. Select Start | Settings | Control Panel. The Control Panel appears.

  2. Double-click the System icon.

  3. Select the Advanced tab.

  4. Click the Environment Variables button.

  5. Under the System Variables area, select the Path variable and then click the Edit button. Add the intel_a\code\bin directory to your Path variable (this is a subdirectory usually found in the c:\catia\b10\ directory for release number 10 or c:\catia\b8\directory for release number 8).

  6. Once you've added this to your Path variable, use View Dependencies to make sure all DLLs are found.


Troubleshooting Pro/ENGINEER DCI Errors

The first thing you should do when troubleshooting the Pro/ENGINEER DCI is to run PC-DMIS with the “/proedebug” command-line flag. This will make diagnostic messages appear.

To do this:

  1. In Windows, right-click on the short-cut that launches PC-DMIS.

  2. Click on Properties. The Properties dialog box appears.

  3. Click the Shortcut tab.

  4. In the Target box append to the existing string this flag: /proedebug

  5. Use PC-DMIS as usual.

Problem:

PC-DMIS is able to load the dll, but is unable to get Pro/ENGINEER to successfully launch.

Possible Causes:

  • Is a process called xtop already running?
    Check the Windows Task Manager. If there is a process called xtop from a previous session of Pro/ENGINEER or the Pro/ENGINNER DCI, you should terminate it before the Pro/ENGINEER DCI can run.

  • Is PRO_COMM_MSG_EXE set properly?
    In versions prior to PC-DMIS 3.5, the environment variable PRO_COMM_MSG_EXE must equal the full path to the file pro_comm._msg.exe in the Pro/ENGINEER installation.

  • Are the ini file/registry entries correct?
    In the [ProEngineer] section of the Pcdrln.ini file or the PC-DMIS Settings Editor, the ProEngineerExecutableName entry should contain be the command used to run Pro/ENGINEER from the command line.

  • Can Pro/ENGINEER be run from a Command Prompt window?
    The Pro/ENGINEER installation needs to be set up so that it can be run from the command line. This is done by default in most installations.

  • Does Pro/ENGINEER create a file called std.out?
    Check both the directories where the pcdlrn.exe file and the Pro/ENGINEER model are located. If you find a find a file named "std.out", it may contain diagnostic information from Pro/ENGINEER.

Problem:

When importing a DCI part program file on a computer that doesn't have a Pro/ENGINEER license, it takes a very time before giving a timeout message.

Possible Causes:

  • Is the ProEngineerLoad registry entry is set to TRUE.
    You can find this entry in the [ProEngineer] section of the PC-DMIS Settings Editor. You should set this entry to FALSE if you do not have a Pro/ENGINEER on the computer that will be running the part program.


Troubleshooting I-DEAS DCI Errors

To troubleshoot the I-DEAS DCI, use the OrbixInfo debug utility. This utility can be downloaded from WAI's FTP site.

Downloading the OrbixInfo Utility

For I-DEAS 10, for example, you can download:

ftp://ftp.wilcoxassoc.com/DCI/IDEAS/Test/OrbixInfo10.zip

or

ftp://ftp.wilcoxassoc.com/DCI/IDEAS/Test/OrbixInfo10.exe

Note: The links above are for I-DEAS 10. A different debug utility exists for each version. For different versions, simply download the appropriate debug utility from the same directory:
ftp://ftp.wilcoxassoc.com/DCI/IDEAS/Test/

Downloading OrbixInfo Utility Instructions

You can also download instructions for using the OrbixInfo utility from this location:

ftp://ftp.wilcoxassoc.com/DCI/IDEAS/Test/OrbixInfo_Instructions.doc

When using the OrbixInfo utility to connect to I-DEAS, detailed error and status messages will be displayed. These messages should help you locate and resolve PC-DMIS to I-DEAS connection problems.

Once you can connect to I-DEAS using the OrbixInfo utility, you should be able to connect using PC-DMIS's DCI capability.

Reinstalling Orbix E2A

Often the Orbix component of an I-DEAS installation will become corrupted. This is often the cause of I-DEAS server connection errors. Reinstalling Orbix will fix this problem. To reinstall Orbix E2A for I-DEAS 10 and up, do the following.

  1. Make sure you are logged in with administrator privileges.

  2. Open a command window.

  3. Change directory to where I-DEAS is installed. For I-DEAS 10, the default installation directory is c:\EDS\I-DEAS10.

  4. Change directory into the bin subdirectory.

  5. Enter the following:

call setup_varbs

  6. From the I-DEAS installation directory, change directory into the install subdirectory.

  7. Enter the following to remove Orbix E2A:

OrbixE2AInstall /r /f

  8. Once Orbix E2A has been removed, enter the following to install Orbix E2A:

OrbixE2AInstall /I

  9. Once Orbix E2A has been installed, try connecting to I-DEAS again.

For I-DEAS 11 and up, do the following.

  1. Make sure you are logged in with administrator privileges.

  2. Open a command window.

  3. Change directory to where I-DEAS is installed. For I-DEAS 11, the default installation directory is c:\EDS\I-DEAS11.

  4. Change directory into the bin subdirectory.

  5. Enter the following:

setup_varbs.cmd

  6. Enter the following to remove Orbix E2A:

orbix_remove.cmd

  7. Once Orbix E2A has been removed, enter the following to install Orbix E2A:

orbix_install.cmd

  8. Make sure that the the Orbix services are started. To do this, go into Services (Start | Settings | Control Panel | Administrative Tools | Services) and locate the services whose names start with “IT iona”. Right mouse click each of these and select Start.

  9. Once Orbix E2A has been installed, try connecting to I-DEAS again.

Troubleshooting Tips

  • When connecting to a remote I-DEAS computer, the network name of the computer must be resolved from the PC-DMIS computer. That is, you must be able to ping the I-DEAS computer using its network name, not its IP address. Conversely, the network name of the PC-DMIS computer must be resolved from the I-DEAS computer.

  • When specifying the Host name, never use an IP address, even if you are connecting to I-DEAS on the same computer. The Host name must be specified using the computer’s network name.


Troubleshooting SolidWorks DCI Errors

Problem:

When importing a SolidWorks part file you get this erorr message: "Unable to connect to SolidWorks session".

Possible Causes:

  • Can you run SolidWorks from the workstation?
    You must be able to run SolidWorks as the SolidWorks Direct CAD Interface starts a SolidWorks session in the background to access the SolidWorks part.

  • Do you have a supported version of SolidWorks installed?
    The SolidWorks Direct CAD Interface supports SolidWorks 2001 Plus, version 10.0.0, or later.

Problem:

It takes an extremely long time (five minutes or more) to open a part program where the SolidWorks model has already been imported.

Possible Causes:

  • Is the SaveSolidWorksAttributesInPart registry entry set to 1?
    This registry entry, found in the     [OPTION] section of the PC-DMIS Settings Editor, allows you to determine whether or not PC-DMIS saves SolidWorks part data inside the part program. Setting this registry entry to 0 will speed up loading times.


Troubleshooting CATIA 5 DCI Errors

If you get errors when trying to use the CATIA 5 DCI, there is a utility that you can download that may help. This utility will test the connection to CATIA 5 and report the results.

Downloading the CATIA 5 Utility

There is a different utility for each release of CATIA 5. For example, for CATIA 5 R15, download this file:

ftp://ftp.wilcoxassoc.com/DCI/Catia5/TestCatiaR15.zip

Note: The above link is for CATIA 5R15. A different utility exists for each CATIA 5 release. For different releases, simply download the appropriate utility from the same directory: ftp://ftp.wilcoxassoc.com/DCI/Catia5

Using the CATIA 5 Utility

To use the CATIA 5 utility, follow these instructions:

  1. Create a new shortcut to CATSTART.exe on your desktop. CATSTART.exe is located in your CATIA 5 installation directory in the intel_a\code\bin sub-directory.

  2. After creating the shortcut, modify its properties by right-clicking on it. Append the following to the Target after CATSTART.exe (make sure there is a space between CATSTART.exe and –run):

-run cmd.exe -env {environment file} -direnv {environment directory}

You will need to replace {environment file} with the CATIA 5 environment file you want to use. It should correspond to the CATIA 5 release you are running.

You will also need to replace {environment directory} with the directory where the environment file is located. By default, the CATIA 5 environment files are located in the following directory (the directory will need to be surrounded by double quotes if the path contains spaces):

"C:\Documents and Settings\All Users\Application Data\DassaultSystemes\CATEnv"

For example, if CATIA.V5R15.B15 was the name of your CATIA 5R15 environment file, and all CATIA 5 files were installed in the default directories, the shortcut Target would look like this:

“C:\Program Files\Dassault Systemes\B15\intel_a\code\bin\CATSTART.exe” -run cmd.exe -env CATIA.V5R15.B15 -direnv "C:\Documents and Settings\All Users\Application Data\DassaultSystemes\CATEnv"

  3. Unzip the CATIA 5 utility you downloaded in section “Downloading the CATIA 5 Utility” to any directory.

  4. Run the shortcut you created in steps 1 and 2. It should open a command window with the CATIA 5 environment initialized. This can be verified by entering the following at the command prompt:

set CATDllPath

This should display the correct path to your CATIA 5 intel_a\code\bin directory.

  6. Browse to the directory to where you unzipped the CATIA 5 utility.

  7. Run the CATIA 5 utility with a CATIA 5 CATPart or CATProduct file as a command line parameter. For example, if you had a CATIA 5 file named model.CATPart, you would enter the following at the command prompt:

TestCatia.exe model.CATPart

Note: if the CATIA 5 file is not located in the same directory where TestCatia.exe is located, you will need to specify the fully qualified path to the CATIA 5 file.

If the utility completes successfully, it will output the following:

Create_Session() succeeded.

CATDocumentServices::OpenDocument() succeeded.

CATLockDocument() succeeded.

Document opened successfully.

CATUnLockDocument() succeeded.

Otherwise, the utility will display information that can help you fix the CATIA 5 DCI problems.


Introducing Direct CAD Translators

Direct CAD Translators import CAD system models by translating the native CAD system files into PC-DMIS’ internal CAD format. The Direct CAD Translators differ from the Direct CAD Interfaces in that an installation or license of the CAD system is not required to access the data. Once the data is translated into PC-DMIS, the original file is no longer needed.

The benefits of the Direct CAD Translators compared to the Direct CAD Interfaces are the following:

  • Installation or license of CAD system not needed.

  • Importing the CAD file is often faster.

  • Once imported, the original CAD file is not needed.

  • Working with the model in PC-DMIS is often faster.

The disadvantages of the Direct CAD Translators compared to the Direct CAD Interfaces are the following:

  • Possibility of errors and limitations associated with translation of data from CAD systems into PC-DMIS’ internal CAD format.

  • Geometry calculations performed using PC-DMIS mathematical routines, which may not be ideally suited to original CAD system representation.

More:

Supported CAD Systems for DCT


Supported CAD Systems for DCT

This information applies to PC-DMIS version 3.5 and up, except where noted. The CAD systems that are currently support through a Direct CAD Translator are the following:

CATIA 4

The CATIA 4 DCT supports CATIA model and export files from version 3.2 to 4.2.4.

CATIA 5

The CATIA 5 DCT supports CATIA 5 part files (CATPart) and assembly files (CATProduct) from release 6 through release 12.

The CATIA 5 DCT is not available in PC-DMIS 3.5.

Pro/ENGINEER

The Pro/ENGINEER DCT supports Pro/ENGINEER part and assembly files from version 18 to Wildfire 2.

PC-DMIS 3.5 only supports Pro/ENGINEER part and assembly files from version 18 to version 2001.

Unigraphics

The Unigraphics DCT supports Unigraphics part and assembly files from version 15 to NX2. Compressed files are supported.

PC-DMIS 3.5 only supports Unigraphics part and assembly files from version 15 to 18. PC-DMIS 3.5 does not support compressed Unigraphics files.

Parasolid

The Parasolid DCT supports Parasolid part and assembly files from version 11 to 16.

PC-DMIS 3.5 only supports Parasolid part and assembly files from version 11 to 14.


Using the Direct CAD Translators

Using the Direct CAD Translators requires no special software setup or installation.

See the following section for each CAD system:

  • Using CATIA 4 Direct CAD Translator for PC-DMIS

  • Using CATIA 5 Direct CAD Translator for PC-DMIS

  • Using Pro/ENGINEER Direct CAD Translator for PC-DMIS

  • Using Unigraphics and Parasolid Direct CAD Translator for PC-DMIS


Using CATIA 4 Direct CAD Translator for PC-DMIS

The Direct CAD Translator for CATIA 4 imports native CATIA 4 files into PC-DMIS and allows you to specify parameters for how the CAD file is translated. A new PC-DMIS part program should be created before importing the CATIA 4 file.

More:

Import a CATIA 4 File:


Import a CATIA 4 File:

  1. Select the File | Import | CATIA menu option. The File Open dialog box appears.

  2. Browse through your hard drive, and select a CATIA file.

  3. Click the Import button. The CATIA Import dialog box appears.

Catia Import dialog box

  4. In the Model Selection box, select the model you want to import. Typically there is only one model available.

  5. In the Axis Selection box, select the axis system you want to use. To use the default axis system, leave the selection as blank.

  6. In the Processing Options area, select the entities you want to import. Initially, the entity types that exist in the file are selected. After selecting the entities to import, select the entity colors you want to import. Finally select the layers your want to import. Only the layers that exist in the model file will be displayed. Clicking the respective Process All check box will process all of the available Entities, Colors or Layers as selected.

  7. Use the Process Hidden Entities check box to change whether hidden entities will be imported.

  8. In the Trim Preference area, select how you want faces trimmed. UV Trim will use the parameter-space curves that define the face boundaries. XYZ Trim will use the model-space curves that define the face boundaries. It is usually sufficient to leave this as UV Trim.

  9. Select the OK button to import the model file into PC-DMIS. The imported model is ready to be used with PC-DMIS.

Note: The minimum CATIA 4.0 licenses required in order for the PC-DMIS CATIA 4.0 DCI to function properly with a model are the same that would allow the model to be opened, modified and saved in CATIA. Any lesser licenses will not be sufficient.

The minimum licenses cannot be specifically defined because the ability to open, modify and save a CATIA model will be somewhat dependent on the content of the model itself.


Using CATIA 5 Direct CAD Translator for PC-DMIS

The Direct CAD Translator for CATIA 5 imports native CATIA 5 files into PC-DMIS and allows you to specify what entities are imported. A new PC-DMIS part program should be created before importing the CATIA 5 file.

More:

Import a CATIA 5 File:


Import a CATIA 5 File:

  1. Select the File | Import | CATIA 5 menu option. The File Open dialog box appears.

  2. Browse through your hard drive, and select a CATIA 5 file.

  3. Click the Import button. The CATIA 5 Import dialog box appears.

Catia 5 Import dialog box

  4. In the Processing Options area, select the entity types that you want to import. Click the Process All Entities check box to process all of the available entities. Select the OK button to import the model file into PC-DMIS. The imported model is ready to be used with PC-DMIS.


Using Pro/ENGINEER Direct CAD Translator for PC-DMIS

The Direct CAD Translator for Pro/Engineer imports native Pro/Engineer files into PC-DMIS and allows you to specify parameters for how the CAD file is translated. A new PC-DMIS part program should be created before importing the Pro/Engineer file.

More:

Import a Pro/ENGINEER File:


Import a Pro/ENGINEER File:

  1. Select the File | Import | Pro/ENGINEER menu option. The File Open dialog box appears.

  2. Browse through your hard drive, and select a Pro/ENGINEER file.

  3. Click the Import button. The Pro/ENGINEER Import dialog box appears.

Pro/Engineer Import dialog box

  4. In the Processing Options area, select the types of entities that should be imported. Select the Process Solid Surfaces check box to import solid surfaces. Select the Process All Datums check box if you want all datums imported. Alternatively, you can clear this check box and select the datum types that should be imported.

  5. Select the OK button to import the model file into PC-DMIS. The imported model is ready to be used with PC-DMIS.


Using Unigraphics and Parasolid Direct CAD Translator for PC-DMIS

The Direct CAD Translator for Unigraphics and Parasolid imports native Unigraphics or Parasolid files into PC-DMIS and allows you to specify parameters for how the CAD file is translated. A new PC-DMIS part program should be created before importing the Unigraphics or Parasolid file.

More:

Import a Unigraphics or Parasolid File:


Import a Unigraphics or Parasolid File:

  1. Select the File | Import | Unigraphics menu option. The File Open dialog box appears.

  2. Browse through your hard drive, and select a Unigraphics or Parasolid file.

  3. Click the Import button. The Unigraphics Import dialog box appears.

Unigraphics Import dialog box

  4. In the Processing Options area, select the types of entities that should be imported. Click the Process All Entities check box to process all of the available entities. Select the Process Hidden Entities check box if you want hidden entities to be imported.

  5. In the Layer Options area, select the layer types that should be imported.

  6. Select the OK button to import the model file into PC-DMIS. The imported model is ready to be used with PC-DMIS.


Launch PC-DMIS:

  1. From the Start menu, select Programs | PC-DMIS for Windows | Online. PC-DMIS launches. You may also test this by running PC-DMIS in Offline mode following the same steps below.

  2. If the Open File dialog box appears, cancel it.


Step 1: Install PC-DMIS

To install PC-DMIS follow this procedure:

  1. Plug your PC-DMIS portlock (also known as a dongle) into the printer port of your PC.

  2. Insert the PC-DMIS CD-ROM into your CD-ROM drive.

  3. Using Windows Explorer, open the directory containing the CD-ROM and then navigate to the setup.exe application for PC-DMIS.

  4. Double click (execute) the file setup.exe.

  5. This will activate the PC-DMIS installation sequence.

  6. Follow the on-screen instructions.

  7. Follow the on-screen instructions until PC-DMIS is installed.

This completes the PC-DMIS installation.


Step 1: Installing PC-DMIS

Next, you need to install PC-DMIS version 4.0 or 4.1. To install PC-DMIS, follow this procedure:

  1. Plug your PC-DMIS portlock (also known as a dongle) into the printer port of your PC.

  2. Insert the PC-DMIS CD-ROM into your CD-ROM drive.

  3. Using Windows Explorer, open the directory containing the CD-ROM and then navigate to the setup.exe application for PC-DMIS.

  4. Double click (execute) the file setup.exe.

  5. This will activate the PC-DMIS installation sequence.

  6. Follow the on-screen instructions until PC-DMIS is installed.

This completes the PC-DMIS installation.


Step 2: Add the CATIA 5 bin Directory to the Path Environment

Step 2: Add the CATIA 5 bin Directory to the Path Environment Variable

The CATIA 5 bin directory needs to be added to your Path environment variable.

  1. From the Start menu, select Settings | Control Panel. The Control Panel appears.

  2. Double-click the System icon. The System Properties dialog box appears.

  3. Select the Advanced tab and then click the Environment Variables button. The Environment Variables dialog box appears.

  4. In the System Variables list, select the Path variable. Then select the Edit button.

  5. At the end of the variable value, append a semicolon and the directory for your CATIA 5 bin directory.

  6. For example, if you had installed CATIA 5r12 to its default location, you would add the text “c:\Program Files\Dassault Systemes\b12\intel_a\code\bin” (without quotes) to the Path variable.

  7. Click the OK button to assign this modified value to the Path variable.

  8. Continue clicking OK until you close the System Properties dialog box.


Step 2: Modifying the Pcdlrn.ini File with the Host Option

If both I-DEAS and PC-DMIS are on the same computer, you can skip this step.

If the I-DEAS computer is a remote host, you will need to modify the [Ideas] section in the Pcdlrn.ini file and specify the host name. To do this:

  1. Open the Pcdrln.ini file (found in the C:\Winnt directory) in a standard text editor (such as Notepad).

  2. Navigate to the [Ideas] section. If there is no [Ideas] section, add it at the end of the file.

  3. Type the entry in the [Ideas] section for the computer host name that I-DEAS will be accessed from. For example, if I-DEAS is on a remote computer with the network name of Dragon, add the following line in the [Ideas] section:

    Host=Dragon

  4. You can also specify the host with an IP address. For example, if I-DEAS is on a remote computer with the IP address of 192.168.0.1, add the following line in the [Ideas] section:

Host=192.168.0.1

  5. Save and close the Pcdlrn.ini file when you are finished modifying it.

Caution: When viewing or editing the Pcdlrn.ini file, take care that you don't break up any other Pcdlrn.ini sections. Also, double-check any changes before saving them.